Bug 294795 - When used as the desktop containment, FolderView displays a scrollbar and no icons, even if there are items in the displayed folder, on login
Summary: When used as the desktop containment, FolderView displays a scrollbar and no ...
Status: CLOSED UNMAINTAINED
Alias: None
Product: plasma4
Classification: Plasma
Component: widget-folderview (show other bugs)
Version: 4.9-git
Platform: Gentoo Packages Linux
: NOR major with 390 votes (vote)
Target Milestone: ---
Assignee: Ignat Semenov
URL:
Keywords:
: 294087 298110 298790 302517 303728 317615 321685 329590 330958 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-02-25 08:47 UTC by Flavio
Modified: 2018-11-21 21:36 UTC (History)
62 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.14.2


Attachments
plasma-appletsrc (85 bytes, application/octet-stream)
2012-02-27 17:09 UTC, Flavio
Details
plasma-desktop-appletsrc (9.72 KB, application/octet-stream)
2012-02-27 17:10 UTC, Flavio
Details
plasma-desktoprc (1.88 KB, application/octet-stream)
2012-02-27 17:10 UTC, Flavio
Details
plasma_applet_plasmaconrc (46 bytes, application/octet-stream)
2012-02-27 17:10 UTC, Flavio
Details
plasmarc (416 bytes, application/octet-stream)
2012-02-27 17:11 UTC, Flavio
Details
plasma-appletsrc (85 bytes, application/octet-stream)
2012-02-27 22:11 UTC, Flavio
Details
plasma-desktop-appletsrc (9.34 KB, application/octet-stream)
2012-02-27 22:11 UTC, Flavio
Details
plasma-desktoprc (1.88 KB, application/octet-stream)
2012-02-27 22:11 UTC, Flavio
Details
plasma_applet_plasmaconrc (46 bytes, application/octet-stream)
2012-02-27 22:12 UTC, Flavio
Details
plasmarc (416 bytes, application/octet-stream)
2012-02-27 22:12 UTC, Flavio
Details
scrollbar setRange debug patch (3.94 KB, patch)
2012-04-08 13:29 UTC, Ignat Semenov
Details
folderview.debug (256 bytes, application/octet-stream)
2012-04-09 09:02 UTC, Flavio
Details
plasma-desktop-appletsrc (8.50 KB, application/octet-stream)
2012-04-09 13:48 UTC, Flavio
Details
the new version of the debug patch (7.26 KB, patch)
2012-04-09 15:29 UTC, Ignat Semenov
Details
folderview.debug (805 bytes, application/octet-stream)
2012-04-09 18:29 UTC, Flavio
Details
one more version of the debug patch (7.67 KB, patch)
2012-04-16 13:19 UTC, Ignat Semenov
Details
new screenshot, new 'variant' of the issue. (226.29 KB, image/jpeg)
2012-06-18 00:39 UTC, Reartes Guillermo
Details
OK, here we go. (337 bytes, application/octet-stream)
2012-06-24 17:00 UTC, Flavio
Details
folderview.debug (1.32 KB, application/octet-stream)
2012-06-25 20:02 UTC, Flavio
Details
Icon reorder screenshot (176.03 KB, image/jpeg)
2012-06-28 16:04 UTC, Iacopo Benesperi
Details
Problem with desktop Folder view happening even if the panel is not maximized. (162.44 KB, image/jpeg)
2012-07-11 14:12 UTC, gustavo
Details
CALC File with the performed test matrix (3 systems, 4 vga cards) (11.46 KB, application/octet-stream)
2012-07-28 00:51 UTC, Reartes Guillermo
Details
panel size & position test, and an odditie (330.09 KB, text/plain)
2012-07-29 22:54 UTC, Reartes Guillermo
Details
KDE4 user plasma desktop configuration (2.17 KB, application/x-gzip)
2012-07-30 19:52 UTC, BitMaster
Details
yet one more debug patch (9.02 KB, patch)
2012-07-31 19:01 UTC, Ignat Semenov
Details
folderview.debug (9.25 KB, text/plain)
2012-08-02 17:17 UTC, Flavio
Details
build.log for plasma-apps (77.91 KB, application/octet-stream)
2012-08-04 14:59 UTC, Flavio
Details
epatch.log (188 bytes, application/octet-stream)
2012-08-04 14:59 UTC, Flavio
Details
folderview.debug (874 bytes, application/octet-stream)
2012-08-19 13:11 UTC, Flavio
Details
debug with Ignat's patch (219 bytes, text/plain)
2012-09-18 17:37 UTC, Pelladi Gabor
Details
The patch that I created (19.84 KB, text/plain)
2012-09-18 17:38 UTC, Pelladi Gabor
Details
The debug output with my patch (3.42 KB, text/plain)
2012-09-18 17:38 UTC, Pelladi Gabor
Details
Stack trace of the move event (2.10 KB, text/plain)
2012-10-10 07:08 UTC, Pelladi Gabor
Details
plasma-appletrc (85 bytes, application/octet-stream)
2013-01-11 22:03 UTC, tonyc236
Details
plasma-desktop-appletsrc (28.59 KB, application/octet-stream)
2013-01-11 22:04 UTC, tonyc236
Details
plasma-desktoprc (1.80 KB, application/octet-stream)
2013-01-11 22:05 UTC, tonyc236
Details
plasmarc (321 bytes, application/octet-stream)
2013-01-11 22:07 UTC, tonyc236
Details
config (15.16 KB, application/octet-stream)
2013-02-11 12:41 UTC, narc
Details
another KDE 4.12 screenshot (152.86 KB, image/jpeg)
2014-04-10 22:19 UTC, Germano Massullo
Details
attachment-6755-0.html (2.10 KB, text/html)
2014-08-11 08:33 UTC, Larpon
Details
patch (885 bytes, patch)
2014-08-26 22:14 UTC, Mark Harmstone
Details
attachment-18182-0.html (1.33 KB, text/html)
2014-08-26 22:28 UTC, Dan MacDonald
Details
attachment-18715-0.html (1.81 KB, text/html)
2014-08-26 22:33 UTC, Larpon
Details
attachment-11128-0.html (808 bytes, text/html)
2014-09-05 05:45 UTC, Larpon
Details
with slider (853.38 KB, image/png)
2014-11-15 11:18 UTC, dr.boczek
Details
with icons - relogin only (874.80 KB, image/png)
2014-11-15 11:20 UTC, dr.boczek
Details
Screenshot (1.67 MB, image/png)
2014-11-21 13:01 UTC, Ettore Atalan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Flavio 2012-02-25 08:47:42 UTC
Version:           unspecified (using KDE 4.8.0) 
OS:                Linux

This problem occurred not so many times with version 4.7, and I could fix the problem simply pressing CTRL+ALT+BackSpace, but now, with version 4.8, it happens very often.
The problem is that I've set the Desktop as Folder view. The icons are positioned aligned to grid in my favorite positions. After a X restart (or a reboot is the same), a vertical scrollbar is shown on the right side in place of my icons.
To restore my previous view i had to do the following steps:
right click on the desktop->folder view settings-> select layout = Desktop -> Apply then Select Folder view then apply again. 
The problem is also that my icons' position is not stored and I have to place them again where I prefer.

Reproducible: Always

Steps to Reproduce:
Start KDE

Actual Results:  
The scrollbar appears 9 time out of 10.

Expected Results:  
The desktop should appear as expected, with no scrollbar and with the icons at the place I've set.

KDE 4.8.0
Gentoo Linux x86_64
Kernel: gentoo-sources-3.2.6
Comment 1 Ignat Semenov 2012-02-27 13:35:32 UTC
OK, here it goes! I've seen it a couple times but can't reproduce it any more in master.

Please, what sorting, flow (top to bottom, left to right), icon size are you using? How exactly were you able to reproduce the bug? What amount of icons do you have on the desktop, do they all fit or is scrollbar required even if all the icons are shown?
Comment 2 Ignat Semenov 2012-02-27 13:43:05 UTC
Better even, remove ~/.kde4/share/config/plasma* configuration files, then try to reproduce it again, please.
Comment 3 Flavio 2012-02-27 14:04:42 UTC
Thanks a lot Ignat, 

let me say than I've also just updated another PC to KDE 4.8.0, with Gentoo Linux x86_64, kernel 3.2.1-gentoo-r2 and the same problem occurred.

Anyway, removing ~/.kde4/share/config/plasma* configuration files fixed the problem even if I've lost all the settings and I had to setup the desktop again. :(

I have do do the same thing even on the other PC then....

By the way: I've noticed that there are two default launchers in the bar: chromium and dolphin (two small icons). If I remove them, they will appear again at the next login.

As for your questions:
Right click on the desktop->Folder view settings->Display:
Icons: 
Arrangement: Top to bottom, left to right
Sorting: Unsorted
Icon size: 4

My icons are aligned to grid.

>How exactly were you able to reproduce the bug?
Simply after the upgrade I've found the situation described in the first post.

>What amount of icons do you have on the desktop
14 (laptop) - 21 (desktop)

As regard the scrollbar: if I use it, I am even not able to see the icons! I can scroll up to the bottom, but nothing! No icons.

Best regards, 

Flavio
Comment 4 Ignat Semenov 2012-02-27 14:22:39 UTC
Thank you for the input!

Now did you change any Plasma settings on the second computer? Do you have the config files for it? I've screwed up a bit here, you should actually tar those 3 Plasma config files next time you see the bug and post them as an attachment to this bug.

Yes, indeed, you can't see the icons with the scrollbar behaving like that. That's part of the bug :)
Comment 5 Sven 2012-02-27 16:21:12 UTC
I tested this in KDE 4.8.00 (4.8) and I CAN reproduce this bug following the steps in this blog (http://isemenov.blogspot.com/2012/02/hello-fellow-kde-devs-and-users.html).

I've got the proprietary NVIDIA drivers (version 280.13)

and I am using Kubuntu 11.10, with beta and backports enabled.
Comment 6 Enrico Tagliavini 2012-02-27 16:37:13 UTC
I can reproduce it sometimes. It doesn't happen most of the time, but a couple of day in a months i login and my desktop is empty with the scrollbar at the right. I have 15 icons alligned top-left (so 2 vertical lines on a 1080p screen with default icon size). I use kde 4.8.0 on sabayon linux 64 bit. The issue appeared first after the upgrade to kde 4.7 (this system got a fresh install with kde 4.6.something). With kde 4.8 the bug is less frequent for me. I have this IGP:
Intel Corporation 4 Series Chipset Integrated Graphics Controller [8086:2e32] (rev 03)

I didn't applied the named workaround, but i switched to plasma-netbook for some minutes and this might fixed the issue. If the bug will show up again I will tar the config and i will attach it here.
Comment 7 Flavio 2012-02-27 17:08:41 UTC
(In reply to comment #4)
> Thank you for the input!
You're welcome mate!

> 
> Now did you change any Plasma settings on the second computer?
No, I didn't.

> Do you have the
> config files for it? I've screwed up a bit here, you should actually tar those
> 3 Plasma config files next time you see the bug and post them as an attachment
> to this bug.
Sure, I can attach the following files:
plasma_applet_plasmaconrc
plasma-appletsrc
plasma-desktop-appletsrc
plasma-desktoprc
plasmarc

> 
> Yes, indeed, you can't see the icons with the scrollbar behaving like that.
> That's part of the bug :)
OK! :)

(In reply to comment #5)
> I've got the proprietary NVIDIA drivers (version 280.13)
Me too: version 295.20-r1.


(In reply to comment #6)
> I can reproduce it sometimes. It doesn't happen most of the time, but a couple
> of day in a months i login and my desktop is empty with the scrollbar at the
> right. 
Actually it's just the same behaviour I've noticed prior this update to 4.8.0 (even with 4.7). The simple solution was to issue the CTRL+ALT+Backspace command and most of the times the Desktop was restored as normal. But now, my Desktop folder view has gone, forever. So, the problem now is real. Of course, the solution to delete the files above, seems to be permanent, so it should be a configuration file issue only.
It would be great if a simple editing of one of the files above would correct the problem instead of deleting them all.

> I have
> this IGP:
> Intel Corporation 4 Series Chipset Integrated Graphics Controller [8086:2e32]
> (rev 03)
This happened both with an Intel graphic card and with a nvidia one.

> I didn't applied the named workaround, but i switched to plasma-netbook 
Excuse me: where is this option?

Cheers, 

Flavio
Comment 8 Flavio 2012-02-27 17:09:42 UTC
Created attachment 69135 [details]
plasma-appletsrc
Comment 9 Flavio 2012-02-27 17:10:14 UTC
Created attachment 69136 [details]
plasma-desktop-appletsrc
Comment 10 Flavio 2012-02-27 17:10:32 UTC
Created attachment 69137 [details]
plasma-desktoprc
Comment 11 Flavio 2012-02-27 17:10:57 UTC
Created attachment 69138 [details]
plasma_applet_plasmaconrc
Comment 12 Flavio 2012-02-27 17:11:14 UTC
Created attachment 69139 [details]
plasmarc
Comment 13 Ignat Semenov 2012-02-27 17:21:34 UTC
Thank you for the input!

First of all, graphics drivers are most probably not relevant here.

Second, the observation that this bug appeared during the 4.6 -> 4.7 upgrade is
very valuable, thank you :) Did I understand it correctly that you didn't
experience the bug with 4.6 at all?

Now I can watch the git logs and try to locate the faulty commit.
Comment 14 Flavio 2012-02-27 17:23:22 UTC
(In reply to comment #13)Did I understand it correctly that you didn't
> experience the bug with 4.6 at all?
To be honest I don't remember exactly. For sure it happened sometime with 4.7.
Comment 15 Beat Wolf 2012-02-27 17:41:01 UTC
The exact same thing happens with this bug:
https://bugs.kde.org/show_bug.cgi?id=282045

but there you have more sympthoms. Perhaps its related?
Comment 16 Ignat Semenov 2012-02-27 17:48:09 UTC
Hmm, maybe.. there also is a bug where the folder peek popup would open in the very top left corner instead of the actual clicked point in the folderview containment, again, only once on login, then it would open where it should.

This looks like I need to consult the Plasma devs, may indeed be a Qt or plasma lib bug. But most probably they are unrelated.
Comment 17 Enrico Tagliavini 2012-02-27 18:12:59 UTC
(In reply to comment #13)
> Thank you for the input!
> Second, the observation that this bug appeared during the 4.6 -> 4.7 upgrade is
> very valuable, thank you :) Did I understand it correctly that you didn't
> experience the bug with 4.6 at all?
> 
> Now I can watch the git logs and try to locate the faulty commit.
My pleasure to help :). Yes I'm quite sure i never saw this issue with kde 4.6. I'm sorry i don't remember the Qt version i was using at the time, but likely qt-4.7. Anyway it is easy to know, we just need to look at sabayon changelogs. On my gentoo system i have a folderview plasmoid (but not covering the whole desktop) and it always worked as expected. On gentoo i'm still on kde 4.7.

Btw i also have problem with popup menus (for example the package manager from the systray or nm-applet popups are placed in the wrong place, not near the mouse pointer) with popups in this case i mean what comes up when you *click* with left or right mouse button on a systray icon. And this happens only when i have this bug, so it might be related. When the desktop is shown right the popups are where you expect them.

(In reply to comment #7)
> Excuse me: where is this option?
In systemsettings under workspace settings.
Comment 18 Flavio 2012-02-27 18:28:32 UTC
(In reply to comment #17)
> > Excuse me: where is this option?
> In systemsettings under workspace settings.
got it thanks!

Even I'm not able to apply... strange.
When I change such setting, the apply button doesn't came available.
Anyway... it's another issue and I don't want to go off topic here.
Comment 19 Alberto Mattea 2012-02-27 18:35:11 UTC
I can reproduce this too, with KDE 4.8.0. It happens **sometimes**, especially after I have killed the x session brutally (sudo service kdm restart). The only way to get icons back is to switch to desktop and then again to folderview.
The only difference from the first post is that the scrollbar is on the right.
Comment 20 Flavio 2012-02-27 18:47:09 UTC
(In reply to comment #19)
> I can reproduce this too, with KDE 4.8.0. It happens **sometimes**, especially
> after I have killed the x session brutally (sudo service kdm restart). The only
> way to get icons back is to switch to desktop and then again to folderview.
And this was the trick I was using before upgrading to 4.8.0. As I said, it doesn't work anymore for me.

> The only difference from the first post is that the scrollbar is on the right.
The scrollbar is on the right for me too!

(comment #0)
> a vertical scrollbar is shown on the right side in place
> of my icons.
Comment 21 Ignat Semenov 2012-02-27 18:47:33 UTC
To all the commenters:

Do you all have custom icon positions when the bug happens? Or does it as well
happen with the automatic (Sorted) layout?
Comment 22 Flavio 2012-02-27 18:48:52 UTC
(In reply to comment #21)
> To all the commenters:
> 
> Do you all have custom icon positions when the bug happens? 

Custom icon positions. Grid aligned, as already pointed out.
Comment 23 Alberto Mattea 2012-02-27 19:29:55 UTC
(In reply to comment #20)
> (In reply to comment #19)
> > I can reproduce this too, with KDE 4.8.0. It happens **sometimes**, especially
> > after I have killed the x session brutally (sudo service kdm restart). The only
> > way to get icons back is to switch to desktop and then again to folderview.
> And this was the trick I was using before upgrading to 4.8.0. As I said, it
> doesn't work anymore for me.

It works for me on 4.8.0

> 
> > The only difference from the first post is that the scrollbar is on the right.
> The scrollbar is on the right for me too!
> 
> (comment #0)
> > a vertical scrollbar is shown on the right side in place
> > of my icons.

I meant compared to the blog post at http://isemenov.blogspot.com/2012/02/hello-fellow-kde-devs-and-users.html

(In reply to comment #21)
> To all the commenters:
> 
> Do you all have custom icon positions when the bug happens? Or does it as well
> happen with the automatic (Sorted) layout?

I tried it and it happened in both cases
Comment 24 Ignat Semenov 2012-02-27 21:28:12 UTC
OK, I've had a look at the config files that Flavio posted and realized that those are post-problem config files. Please, post the config files taken *before* restarting plasma-desktop or killing X or changing desktop type to "Desktop", that is, when this scrollbar appears, save the config files immediately to some place and then post them here. Thank you in advance!
Comment 25 Flavio 2012-02-27 21:57:28 UTC
Ignat, excuse me. You are right.
Maybe I was a little bit confused when I got those files.

Unfortunately I am not able to reproduce the bug now. Even on the PC where I've not deleted the files you suggested me.

I hope someone else can provide them.

For sure, in case this bug happens again I will copy those files again and attach to this bug.
Comment 26 Flavio 2012-02-27 22:10:27 UTC
OK, 
here we go. The files I am going to attach now, are taken exactly after experiencing the issue we are discussing here. Yes, it happened again, after a reboot, on the system where those files have not been deleted yet.

This time, I've switched to Desktop view and then to Folder view, and it worked, even if the icon positions were not restored. The icons have been placed on the left of the desktop.
Comment 27 Flavio 2012-02-27 22:11:04 UTC
Created attachment 69149 [details]
plasma-appletsrc
Comment 28 Flavio 2012-02-27 22:11:31 UTC
Created attachment 69150 [details]
plasma-desktop-appletsrc
Comment 29 Flavio 2012-02-27 22:11:46 UTC
Created attachment 69151 [details]
plasma-desktoprc
Comment 30 Flavio 2012-02-27 22:12:02 UTC
Created attachment 69152 [details]
plasma_applet_plasmaconrc
Comment 31 Flavio 2012-02-27 22:12:17 UTC
Created attachment 69153 [details]
plasmarc
Comment 32 Ignat Semenov 2012-02-28 04:35:22 UTC
Thank you Flavio for your input. I will test these files on my computer later on. Now it would be really nice if somebody who runs kde master tested this. I have a feeling that this bug got fixed during the 4.8.1 development cycle, but not sure. At least I can not reproduce it any more in trunk.

Flavio, the time the bug happened with those config files you've posted above, the icons were sorted automatically, right? At least I see no custom positions in the file.
Comment 33 Enrico Tagliavini 2012-02-28 07:54:36 UTC
(In reply to comment #21)
> To all the commenters:
> 
> Do you all have custom icon positions when the bug happens? Or does it as well
> happen with the automatic (Sorted) layout?

I have icon alligned ti grid and sorted in alphabetic order, folders first
Comment 34 Flavio 2012-02-28 09:06:49 UTC
(In reply to comment #32)
> Flavio, the time the bug happened with those config files you've posted above,
> the icons were sorted automatically, right? At least I see no custom positions
> in the file.
Excuse me, I've omitted such line. The icons were placed in custom position, aligned to grid.
Comment 35 Reartes Guillermo 2012-02-28 10:19:39 UTC
it seems very similar to what i reported in 294720 (F17 alpha)

i do use the desktop in folderview in F16 and i do not experience the issue there. (i have custom positioned icons aligned in grid in f16)
Comment 36 Ignat Semenov 2012-02-28 14:30:05 UTC
To all the reporters:

Please, try to reproduce this with automatic icon positioning, that is, choose Sort by name and do *not move any icons after that. Thank you!
Comment 37 Flavio 2012-02-28 15:02:19 UTC
(In reply to comment #36)
> To all the reporters:
> 
> Please, try to reproduce this with automatic icon positioning, that is, choose
> Sort by name and do *not move any icons after that. Thank you!

It still happens.
Comment 38 Ignat Semenov 2012-02-28 15:15:46 UTC
OK, that is awesome! The reason I asked was to eliminate one possible code path, saving icon positions, where there could be an overflow or uninitialized variable of sorts.
Comment 39 Ignat Semenov 2012-02-29 09:21:57 UTC
Unfortunately, I can not reproduce this in 4.8.0 nor in master. It looks like I'm missing some essential steps to reproduce the bug. I'm thus tempted to close it as WORKSFORME, unfortunately - there is absolutely no way for me to reproduce it, so I can't debug it. Last attempt is to post a blog with a call to the devs to try to reproduce it and then apply some debug patches. Anybody here running hand-built kde guys? Please respond if you build your kde by hand and experience the bug in master. Thank you in advance!
Comment 40 Flavio 2012-02-29 09:29:55 UTC
Hi, I use emerge on Gentoo to build KDE if this is what you mean, but for sure I don't issue the make command by myself.
Anyway, I think this is an issue which can be solved completely, removing these files: ~/.kde4/share/config/plasma*.
Actually, after doing that on my laptop, the problem no longer occur.
It might be that those files were corrupted during some upgrade and they are not compatible anymore with the new release.

So I would say (for now), the fix is just what you suggested in comment #2.

Thanks
Comment 41 Ignat Semenov 2012-02-29 09:35:46 UTC
OK I see. Yeah, that's an interesting idea, it does indeed resemble an upgrade collision of sorts. Well, when Aaron Seigo is back, I'll ask him. Nevertheles, even if it is a mere configuration incompatibility on upgrade issue, it still needs to be looked in.
Comment 42 Beat Wolf 2012-02-29 09:57:46 UTC
as mentioned in the other report, for me its really related to the usage of an external monitor. Since i stopped using it, the problem didn't occur anymore
Comment 43 Enrico Tagliavini 2012-02-29 10:03:09 UTC
(In reply to comment #42)
> as mentioned in the other report, for me its really related to the usage of an
> external monitor. Since i stopped using it, the problem didn't occur anymore

I don't think this issue is related to multimonitor. Never had 2 monitors on my work pc which is the one where I can see the issue from time to time. Given it has an intel G41 it is not even possible to have more than one monitor :)
Comment 44 Flavio 2012-02-29 10:11:19 UTC
(In reply to comment #43)
> (In reply to comment #42)
> > as mentioned in the other report, for me its really related to the usage of an
> > external monitor. Since i stopped using it, the problem didn't occur anymore
> 
> I don't think this issue is related to multimonitor. Never had 2 monitors on my
> work pc which is the one where I can see the issue from time to time. Given it
> has an intel G41 it is not even possible to have more than one monitor :)

For sure it's not related to multimonitor! :)
I've never had 2 monitors too!
Comment 45 Beat Wolf 2012-02-29 11:31:13 UTC
Interesting. Then there might be something else monitor related.
I had to set a default resolution for the desktop in the kde monitor/resolution kcm. Thats because sometimes my laptop boots into the wrong resoltion.

Also, i'm using a intel gpu

I somehow have the feeling that its related to that resolution change during login, that somehow plasma gets partially the wrong resolution and the some things are totaly off
Comment 46 Flavio 2012-03-04 08:31:56 UTC
Hello, 

unfortunately the problem occurred again. There should be something that is corrupting the ~/.kde4/share/config/plasma* files.

Another issue I've encountered before this problem happened again, is that I've found all the icons on the left, grid aligned and sorted by name. 

So, I think that removing the ~/.kde4/share/config/plasma* files is just a temporary workaround, since that the problem occurred again.
Comment 47 Mahendra Tallur 2012-03-04 16:00:23 UTC
I'm not really helpful, but I encountered this bug twice. Not in a row, but on the same day. 

The scrollbar was on the right as far as I'm concerned. I use a nvidia gpu (proprietary driver) and have a single monitor. I left all icons options "unticked". I use KDE 4.8.0 from the Kubuntu 11.10 backports repository.
Comment 48 pik33 2012-03-16 06:53:14 UTC
I have this very annoying bug on opensuse 12.1 / kde 4.8.1 almost every time I boot this computer. 

What is this scrollbar for ???

This bug was present in KDE 4.7.0/4.7.2, but not so often.

4.6.0 works OK, if there is no Compiz. With Compiz, this bug occured in 4.6.0 too (so I had to uninstall Compiz, and it solved the problem).
Comment 49 Ignat Semenov 2012-03-26 14:36:56 UTC
Please, check master out and see if the bug is still there. Thank you.

I have not managed to reproduce it in master yet.
Comment 50 Flavio 2012-03-26 15:14:45 UTC
KDE 4.8.0 is no longer present in portage (gentoo). I see 4.8.1. Do you mean this problem is fixed in 4.8.1? At the moment I am running 4.7.4 again.
Comment 51 Enrico Tagliavini 2012-03-26 15:20:19 UTC
(In reply to comment #50)
> KDE 4.8.0 is no longer present in portage (gentoo). I see 4.8.1. Do you mean
> this problem is fixed in 4.8.1? At the moment I am running 4.7.4 again.

Master is the 9999 ebuild version in gentoo. It is what you find today in the KDE "master" git branch on the repository. Tommorrow what is called master today will be already old.

If you want to test with this live (9999) ebuild you can find them in the gentoo kde overlay, you can also ask in #gentoo-kde on IRC if you need help.
Comment 52 Flavio 2012-03-26 15:24:30 UTC
(In reply to comment #51)
> Master is the 9999 ebuild version in gentoo. It is what you find today in
> the KDE "master" git branch on the repository. Tommorrow what is called
> master today will be already old.
> 
> If you want to test with this live (9999) ebuild you can find them in the
> gentoo kde overlay, you can also ask in #gentoo-kde on IRC if you need help.
Oh, ok! Thanks for the explanation. I know what you mean now. I didn't know the word "master" indicates the 9999 version...
Comment 53 mendiebm 2012-03-26 18:20:59 UTC
For what it's worth, this started occurring for me when I went from 4.7.4 to 4.8.1, on Fedora 16. It appears to reset on every reboot. The "lock in place" option has no effect, and the reset appears to be consistently to a size around 1/4 of 1366*768, placed upper left. Happy to provide any additional details which you think might be useful.
Comment 54 Flavio 2012-04-05 12:07:28 UTC
KDE 4.8.1 is now stable on gentoo.

Is this bug fixed in such version?
Comment 55 Ignat Semenov 2012-04-05 18:11:35 UTC
The bug is not yet fixed even in mater because it is unreproducible for me or other developers. It does not mean, though, that we do not acknowledge the bug.

We'll sit down with aseigo when he has some free time and discuss the problem in detail, I'm afraid it has something to do with libplasma, not only foderview.
Comment 56 pik33 2012-04-06 05:42:52 UTC
Upgraded KDE to 4.8.2. This nasty bug still exist, destroying my icons order and making me thing about return to Windows :( How long will I have to everyday morning have to manually recover from it losing my icons order??? What is this silly scrollbar for? 

It is one workaround: do not shut down system, hibernate it instead. So icons will be still in place when system recovers from hibernation.
Comment 57 Flavio 2012-04-06 07:39:26 UTC
(In reply to comment #56)
> Upgraded KDE to 4.8.2. This nasty bug still exist, destroying my icons order
> and making me thing about return to Windows :( How long will I have to
> everyday morning have to manually recover from it losing my icons order???
> What is this silly scrollbar for? 
> 
> It is one workaround: do not shut down system, hibernate it instead. So
> icons will be still in place when system recovers from hibernation.
Damn... 
Could it be that some script (executed before KDE starts) would be able to fix this problem at every boot?
e.g.: I could copy all the plasma* files to a backup directory on shutdown, and restore them on startup, or a sort of that. Could it work? Maybe those files are going to be corrupted every time we shutdown the system. Such method could hopefully be a workaround.
Comment 58 Ignat Semenov 2012-04-06 07:54:09 UTC
OK, let's finish this bug off then.

Users who experience the bug, please, create a new Linux user. Switch the desktop to Folder View mode. Do not change ANY Plasma or Folderview settings, do not create new activities, do not change the directory from $HOME/Desktop to any other dir. There must be a couple files in the Desktop folder by default, this is enough. Do NOT reorder or drag icons around.

Now test this for a few days and look for the bug. If it does not occur, drag some icons around, and wait for the bug to happen again. If it happens, please, report here.

Thank you in advance!
Comment 59 Flavio 2012-04-06 08:08:30 UTC
Well, 

let's start the upgrade to 4.8.1.
Thank you.
Comment 60 Flavio 2012-04-06 12:02:03 UTC
(In reply to comment #58)
> OK, let's finish this bug off then.
> 
> Users who experience the bug, please, create a new Linux user. Switch the
> desktop to Folder View mode. Do not change ANY Plasma or Folderview
> settings, do not create new activities, do not change the directory from
> $HOME/Desktop to any other dir. There must be a couple files in the Desktop
> folder by default, this is enough. Do NOT reorder or drag icons around.
OK, 

just upgraded to 4.8.1. Notice that in the first KDE startup after the upgrade
the issue didn't happen. I will see what will happen tomorrow when I will boot
the system again.
As for the new user: I don't have any icon in ~/Desktop. Please tell me what 
icon to place there, in order to make thinks as you prefer for your tests.

Thank you.
Comment 61 Ignat Semenov 2012-04-06 15:05:01 UTC
Well, just any files :) I think that for starters, you need to have like 3-4 files there, to test it when the number of icons is not more than can fit on the screen (so that the normal scrollbar would appear).

Now here's one more thing I'd like to do. I'll write a patch that will record all the occurrences of the IconView::updateScrollBar() function get recorded into a file located in the home dir, and build folderview with that patch. Then, I'll send you the plasma_applet_folderview.so, and you'll temporarily replace the original one with the patched one. When the bug happens, just send me the resulting debug file (where it'll be located I'll tell you later when I have the patch ready.)

See, I can not reproduce the bug at all now, but the folderview code regarding the scrollbar has not changed since ages, so the bug is still there, I simply don't have some conditions necessary to reproduce it. So I'll have to do this.
Comment 62 Flavio 2012-04-06 16:11:54 UTC
Perfect!

Glad to help in this debugging process.
By the way, this problem hasn't happened again yet, even in the test user that I've just created for the purpose. I will report it just in case it will happen.
Comment 63 Ignat Semenov 2012-04-08 00:17:11 UTC
Flavio,

What distribution are you running?

Can you build kde from source?
Comment 64 Flavio 2012-04-08 06:23:59 UTC
(In reply to comment #63)
> Flavio,
> 
> What distribution are you running?
Gentoo Linux

> 
> Can you build kde from source?
Sure! I do every time.

By the way: the problem occurred 3 times on my usual account since the 4.8.1 upgrade, and these times I've solved pressing CTRL+ALT+Backspace repeatedly.
As regard the test user account, it didn't happen yet.

Thanks.
Comment 65 Ignat Semenov 2012-04-08 13:28:49 UTC
Awesome!

Attached is a patch you need to apply to the kde-baseapps module

cd /path/to/kde-baseapps-source
patch -p1 < setrangedebug.patch

then build kde-baseapps as usual.

When the bug happens, quit plasma-desktop to let the debug file sync to disk, then post the

~/.kde/share/folderview.debug

file here.

Thank you for the help!
Comment 66 Ignat Semenov 2012-04-08 13:29:21 UTC
Created attachment 70233 [details]
scrollbar setRange debug patch
Comment 67 Flavio 2012-04-08 18:05:18 UTC
(In reply to comment #65)
> Awesome!
> 
> Attached is a patch you need to apply to the kde-baseapps module
OK. 
I need some help to identify the Gentoo ebuild to patch kde-baseapps.
I noticed that it is not a package atom in portage and I think it is
required by some other package.
I can see the kde-baseapps sources tarball in my /usr/portage/distfiles, but
I cannot issue something like the usual "emerge kde-baseapps".
So, what's the package that pulls even such kde-baseapps?

> Thank you for the help!
You're welcome. Glad to help.
Comment 68 Andreas K. Huettel 2012-04-08 20:04:05 UTC
(In reply to comment #67)
> (In reply to comment #65)
> > Awesome!
> > 
> > Attached is a patch you need to apply to the kde-baseapps module
> OK. 
> I need some help to identify the Gentoo ebuild to patch kde-baseapps.
> I noticed that it is not a package atom in portage and I think it is
> required by some other package.
> I can see the kde-baseapps sources tarball in my /usr/portage/distfiles, but
> I cannot issue something like the usual "emerge kde-baseapps".
> So, what's the package that pulls even such kde-baseapps?
> 
> > Thank you for the help!
> You're welcome. Glad to help.

The package is kde-base/plasma-apps

There is a simple (but not much documented) trick to test patches without meddling with the ebuilds at all:

mkdir -p /etc/portage/patches/kde-base/plasma-apps
cp setrangedebug.patch /etc/portage/patches/kde-base/plasma-apps/

and then re-emerge plasma-apps :)
Comment 69 Andreas K. Huettel 2012-04-08 20:08:52 UTC
PS. if the question "which e-build installs an application" comes up again, just pick some file that is installed by this application (here, say, /usr/lib64/kde4/plasma_applet_folderview.so) and give the command
equery belongs /usr/lib64/kde4/plasma_applet_folderview.so
Comment 70 Flavio 2012-04-08 20:18:41 UTC
(In reply to comment #68) 
> The package is kde-base/plasma-apps
> 
> There is a simple (but not much documented) trick to test patches without
> meddling with the ebuilds at all:
> 
> mkdir -p /etc/portage/patches/kde-base/plasma-apps
> cp setrangedebug.patch /etc/portage/patches/kde-base/plasma-apps/
This is a great hint! Thank you so much for that! I didn't know! :)

> 
> and then re-emerge plasma-apps :)
Good. 
It's emerged again. So let's see what happens now.
Comment 71 Ignat Semenov 2012-04-08 20:28:03 UTC
OK, the guys in #gentoo-kde have told me that this is

kde-baseapps/plasma

Now instead of

patch -p1 < setRangeDebug.patch

you will have to do

patch -p2 < setRangeDebug.patch

since the patch is against kde-baseapps (one dir higher).
Comment 72 Flavio 2012-04-08 20:31:21 UTC
OK, but I did as Andreas suggested! And it didn't give me any problem during the patching process. So I think it is OK with patching.

By the way: you told me to stop plasma-desktop when the problem happens. Shall I kill the plasma-desktop process?
Comment 73 Flavio 2012-04-08 21:15:18 UTC
I've encountered this bug again, but after stopping (killing) the plasma-desktop process, I didn't find any ~/.kde/share/folderview.debug file.
The strange fact is that I could find such file, only after restarting plasma-desktop (and the desktop has been restored without the folderview problem), but it was empty.

Did I do some mistake during the test process?
Comment 74 Ignat Semenov 2012-04-08 21:18:07 UTC
You should not kill plasma-desktop (rude), but rather

kquitapp plasma-desktop

The file is indeed created on the first plasma run, after you quit plasma-desktop. After that, teh file is there, and gets written into on quitting plasma-desktop.

If you kill plasma-desktop indeed, nothing will get written into the file (to the disk).
Comment 75 Flavio 2012-04-09 09:02:10 UTC
Created attachment 70252 [details]
folderview.debug

Here's the folderview.debug file after stopping plasma-desktop.
Stopped plasma-desktop as recommended this time.

Thanks
Comment 76 Ignat Semenov 2012-04-09 11:24:41 UTC
If possible, could you please attach the whole plasma-desktop-appletsrc with the custom icon position data included?

The attached folderview.debus is how it looked right after the bug happened, right? (just to make sure the last calls logged are the ones that demonstrate the bug).
Comment 77 Flavio 2012-04-09 13:47:15 UTC
(In reply to comment #76)
> If possible, could you please attach the whole plasma-desktop-appletsrc with
> the custom icon position data included?
> 
> The attached folderview.debus is how it looked right after the bug happened,
> right? 
Sure, it's just like that.

I am going to attach  the plasma-desktop-appletsrc.
Comment 78 Flavio 2012-04-09 13:48:07 UTC
Created attachment 70257 [details]
plasma-desktop-appletsrc
Comment 79 Ignat Semenov 2012-04-09 14:24:24 UTC
Thank you a lot for the input.

Now I'd be very grateful to you if you sent me the folderview.debug file a couple more times right after the bug happens, on a different system uptime (i.e. shutdown, came back, turn on the computer, work, the bug happens -> send the file). One important thing is, do NOT drag the icons around, just let them be as they are at the moment, and don't add new icons there. The reason is, I'd like to see what range gets set up (the exact numbers), if it's always the same for a given set of custom positioned icons.
Comment 80 Flavio 2012-04-09 15:25:36 UTC
(In reply to comment #79)
> Thank you a lot for the input.
It's a big pleasure to help.

> 
> Now I'd be very grateful to you if you sent me the folderview.debug file a
> couple more times right after the bug happens, on a different system uptime
> (i.e. shutdown, came back, turn on the computer, work, the bug happens ->
> send the file). 
Well, I would do that, but please note that this bug doen't happen when the system
is running as usual (i.e. I am using chromium to browse the Internet, or doing something
else). The problem happens only when I log in through KDM once the system has booted. 
I've also noticed that doing "kquitapp plasma-desktop" and restarting plasma-desktop as well, 
the problem is going away, avoiding me to press CTRL+ALT+BACKSPACE to "solve" the
problem.
So what I can do is to post again the folderview.debug file the next time the problem happens.
For this reason the system uptime would be the same every time, since it usually happens every
time I boot the system.

> One important thing is, do NOT drag the icons around, just
> let them be as they are at the moment, and don't add new icons there.
Got it.
No problem for that. Note that I am using my account to make all these tests, and I didn't move
any icon on my desktop. I tried to login to my test user account but I didn't notice
this problem yet.

> The
> reason is, I'd like to see what range gets set up (the exact numbers), if
> it's always the same for a given set of custom positioned icons.
Good.

Let's see the next boot what will happen.
I think I will report you the next folderview.debug file very soon.

Thanks a lot.

Flavio
Comment 81 Ignat Semenov 2012-04-09 15:29:27 UTC
Created attachment 70259 [details]
the new version of the debug patch

I forgot to log some calls in the original patch, please use this one instead.

I've indeed used the word "uptime" in a wrong way, I meant "a different log in", that's it.
Comment 82 Flavio 2012-04-09 18:29:08 UTC
Created attachment 70267 [details]
folderview.debug

Here's the new folderview.debug file.

Note that this bug is not happening with the new test user :(
But it happens sometime with my usual username. Anyway, the good news is that it doesn't happen every time as well as for kde 4.8.0.
Comment 83 Ignat Semenov 2012-04-09 20:10:11 UTC
Flavio,

http://forum.kde.org/viewtopic.php?f=67&t=98886#p212463

the user says that "start with an empty session" is what triggers the bug. Please, check both the old and the new user for that setting (Startup and Shutdown -> Session Management).

Thank you!
Comment 84 Flavio 2012-04-09 20:14:49 UTC
I've checked.
In both cases "On login" is set to "Restore previous session".
Comment 85 Ignat Semenov 2012-04-09 20:21:21 UTC
OK thank you.

In future, I may need to send you another patch or two with even more debug, as I narrow down the code area where the bug happens. Stay tuned :)
Comment 86 Flavio 2012-04-09 20:31:19 UTC
(In reply to comment #85)
> In future, I may need to send you another patch or two with even more debug,
> as I narrow down the code area where the bug happens. Stay tuned :)

No problem! I will do more tests when possible for me, within the next 2-3 days (maximum), as soon as you send me the new patch.

Cheers, 

F.
Comment 87 Flavio 2012-04-11 10:57:20 UTC
Here again.

I would like to make you know that now, every time I do 'kquitapp plasma-desktop && plasma-desktop', the folderview is restored, but all the icons on the desktop are placed in one row line, at the top of the desktop.
Furthermore, I have many icons on the desktop and I have to connect a second monitor (twin view) to see them all. Otherwise, I have to switch to desktop mode and use the plasma widget.
Comment 88 Arnaud Frézet 2012-04-12 08:10:10 UTC
If it can help. i do not reproduce the bug anymore since i update KDE to 4.8.2 from kubuntu backports.
Comment 89 Sven 2012-04-12 08:54:05 UTC
Same for me. I aslo can't reproduce the bug anymore with KDE 4.8.2. (Kubuntu 64-bit with backports enabled.
Comment 90 Flavio 2012-04-12 11:44:57 UTC
@Sven and Arnaud.
Thanks.

So, what I can do now is to try to remove again the files ~/.kde4/share/config/plasma* and see what happens.
Anyway, it's hard to believe that a bug disappeared if nobody made a correction to the source code yet (since we are still debugging it).
Comment 91 Flavio 2012-04-12 12:05:05 UTC
By the way: this is the output I get when starting plasma-desktop from command line. It might be helpful.

QDBusObjectPath: invalid path ""
QGraphicsLinearLayout::insertItem: cannot insert null item
QGraphicsLinearLayout::insertItem: cannot insert null item
QGraphicsLinearLayout::insertItem: cannot insert null item
QGraphicsLinearLayout::insertItem: cannot insert null item
Object::connect: No such signal QDBusAbstractInterface::Changed()
link XMLID_34_ hasn't been detected!
link XMLID_34_ hasn't been detected!
link XMLID_36_ hasn't been detected!
plasma-desktop(15042)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
file:///usr/share/apps/plasma/plasmoids/notifier/contents/ui/devicenotifier.qml:166:5: QML QDeclarativeListView_QML_20: Possible anchor loop detected on vertical anchor.
QGraphicsScene::addItem: item has already been added to this scene
QPixmap::handle(): Pixmap is not an X11 class pixmap
QPixmap::handle(): Pixmap is not an X11 class pixmap
QPixmap::handle(): Pixmap is not an X11 class pixmap
QPixmap::handle(): Pixmap is not an X11 class pixmap
QPixmap::handle(): Pixmap is not an X11 class pixmap
QPixmap::handle(): Pixmap is not an X11 class pixmap
QPixmap::handle(): Pixmap is not an X11 class pixmap
QPixmap::handle(): Pixmap is not an X11 class pixmap
link XMLID_34_ hasn't been detected!
link XMLID_34_ hasn't been detected!
link XMLID_36_ hasn't been detected!
QGridLayoutEngine::addItem: Cell (0, 1) already taken
plasma-desktop(15042)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
plasma-desktop(15042)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
QPixmap::handle(): Pixmap is not an X11 class pixmap
QPixmap::handle(): Pixmap is not an X11 class pixmap
QPixmap::handle(): Pixmap is not an X11 class pixmap
QPixmap::handle(): Pixmap is not an X11 class pixmap
QPixmap::handle(): Pixmap is not an X11 class pixmap
QPixmap::handle(): Pixmap is not an X11 class pixmap
QPixmap::handle(): Pixmap is not an X11 class pixmap
QPixmap::handle(): Pixmap is not an X11 class pixmap
QPixmap::handle(): Pixmap is not an X11 class pixmap
QPixmap::handle(): Pixmap is not an X11 class pixmap
QPixmap::handle(): Pixmap is not an X11 class pixmap


Now I'm testing plasma-desktop with newly created ~/.kde4/share/config/plasma* files:
plasma-desktop-appletsrc
plasma-desktoprc
plasmarc
Comment 92 Flavio 2012-04-13 09:58:06 UTC
2nd day test: with a big surprise, this problem no longer occurs on both my Desktop PC and my Laptop with kde-4.8.1.
Anyway, I'll keep this situation under a "monitoring" process.
Comment 93 Ignat Semenov 2012-04-14 11:43:46 UTC
*** Bug 298110 has been marked as a duplicate of this bug. ***
Comment 94 mendiebm 2012-04-15 11:38:17 UTC
Gone for me. All I did was move a few of the icons already on the desktop and delete a couple of others, and it has not reoccurred. No change to KDE. I've not tried creating new users or anything along those lines.
Comment 95 Flavio 2012-04-15 12:08:33 UTC
Yes, this hasn't happened to me too. 
Maybe the new KDE version + the ~/.kde4/share/config/plasma* deletion did the trick.
But I'll keep on monitoring this behavior.

What a strange bug!
Comment 96 S. Bryant 2012-04-15 20:20:58 UTC
Hey everybody,

FYI: I'm still getting this under 4.8.2 (OpenSUSE 12.1 x86_64 RPMs from repository).

I've rebooted and logged out/in a few times since upgrading from 4.8.1, and this bug has only hit me once so far.  I recall it happened more often before (with 4.8.1 and previous releases).

FWIW, I have only two icons on my desktop, locked to grid and placed at the top-left, vertically.  When the bug hit after last logging in, I scrolled all the way up and down, but couldn't see the icons anymore.  After changing the view to desktop and back to folder view, they reappeared.

I wonder why the scrollable area thinks it needs to be so tall...

Steve
Comment 97 Flavio 2012-04-15 20:28:02 UTC
(In reply to comment #96)
> Hey everybody,
> 
> FYI: I'm still getting this under 4.8.2 (OpenSUSE 12.1 x86_64 RPMs from
> repository).
Steve, 

did you try also to remove all the ~/.kde4/share/config/plasma* files?
Comment 98 Ignat Semenov 2012-04-16 12:16:18 UTC
Flavio,

AFAIU you cant reproduce it any more? May I suggest downgrading to 4.8.1 if that's possible, in order for me to be able to debug it further?

Also, for some reason the line numbers are different in iconview.cpp. Could you please attach plasma/applets/folderview/iconview.cpp you're applying the patch against?

Thank you in advance!
Comment 99 Ignat Semenov 2012-04-16 13:19:59 UTC
Created attachment 70426 [details]
one more version of the debug patch

OK, no need to post the source file, I've marked the relevant calls with some text output.

This is a more extensive patch to find out which exact value in doLayoutSanityCheck() goes south.
Comment 100 Flavio 2012-04-16 14:58:27 UTC
(In reply to comment #98)
> Flavio,
> 
> AFAIU you cant reproduce it any more? 
Correct!
The problem is that now another problem happens: sometimes the icons lose their position on the desktop and I see on the left them all. They are aligned on the left and I have to manually place them in their previous position.

> May I suggest downgrading to 4.8.1 if
> that's possible, in order for me to be able to debug it further?
I already use 4.8.1. And the first version before 4.8.1 in portage is 4.7.4.
BTW: I removed the previous patch.


(In reply to comment #99)
> OK, no need to post the source file, I've marked the relevant calls with
> some text output.
> 
> This is a more extensive patch to find out which exact value in
> doLayoutSanityCheck() goes south.
So, what to do then?

Thanks.
Comment 101 Ignat Semenov 2012-04-16 15:03:06 UTC
Well.. apply the new patch and wait until it happens. :) You should not have deleted the config files, as this is said to fix the bug.

Maybe any other user who is familiar with building KDE fro source is willing to apply the patch?

The resort icons bug is another famous FV bug, nice that  see it, because I can't reproduce it either.

https://bugs.kde.org/show_bug.cgi?id=265774
Comment 102 Flavio 2012-04-16 15:18:50 UTC
(In reply to comment #101)
> Well.. apply the new patch and wait until it happens. :) 
Done with patching. 
Let's see what happens then.

> The resort icons bug is another famous FV bug, nice that  see it, because I
> can't reproduce it either.
> 
> https://bugs.kde.org/show_bug.cgi?id=265774
Wow! ;-)
Comment 103 S. Bryant 2012-04-23 08:01:31 UTC
(In reply to comment #97)
> did you try also to remove all the ~/.kde4/share/config/plasma* files?

Hi,

I didn't try removing those.  This bug now only affects me sporadically.  It happened again after a reboot; logging out and logging in again (without changing any settings) also returned the desktop to normal.

I am certainly unable to reproduce this on demand.

Steve
Comment 104 jd.dubrey 2012-04-23 17:29:56 UTC
Hello,
I'm not quite sure it it's the same bug, but it seems quite close so...

Since upgrading from 4.7.4 to 4.8.1 (Gentoo Linux), the "Folder View" widgets do not keep the size I gave them between logins. They always revert to a "standard" size. It's easy to resize them, but bothersome :-)
Comment 105 Ignat Semenov 2012-04-24 11:36:37 UTC
Folderview resizing on logout is bug https://bugs.kde.org/show_bug.cgi?id=295535. Please keep the discussion focused on one topic at a time. Thank you.
Comment 106 Ignat Semenov 2012-04-25 05:59:35 UTC
>Sorry for this mistake. I _thought_ it was the same bug.
Sincerely,
-- Jdd

No worries :) Stick to the bug is the standard phrase I have to say as a developer if the bug report discussion goes to another bug.
Comment 107 pik33 2012-05-11 07:07:33 UTC
Ugraded to 4.8.3, bug still exists, but:

I disabled all KDE services I don't need. These are their Polish names 

Moduł wyszukiwania Nepomuka (Nepomuk search module?)
Monitor Apper
Monitor wykrywania usługi DNS-SD
OBEX FTP
Powiadamianie o zmianach zdalnych URLi 
Stan sieci (network status?)
Strefa czasowa (time zone?)
usługa ustawień użytkownika Network Manager
Zarządzanie energią (energy management?)
Zmiana monitora (monitor change)

It seems the bug disappeared after this. Even if it still exists, it doesn't run at every login (did one login/logout and one system restart, and my icons are still in place.
Comment 108 pik33 2012-05-11 07:09:45 UTC
Ugraded to 4.8.3, bug still exists, but:

I disabled all KDE services I don't need. These are their Polish names 

Moduł wyszukiwania Nepomuka (Nepomuk search module?)
Monitor Apper
Monitor wykrywania usługi DNS-SD
OBEX FTP
Powiadamianie o zmianach zdalnych URLi 
Stan sieci (network status?)
Strefa czasowa (time zone?)
usługa ustawień użytkownika Network Manager
Zarządzanie energią (energy management?)
Zmiana monitora (monitor change)

It seems the bug disappeared after this. Even if it still exists, it doesn't run at every login (did one login/logout and one system restart, and my icons are still in place.

Update: bug still works, only not at every login, as before.
Comment 109 Jonathan Marten 2012-05-12 09:18:01 UTC
Confirmed still happening to me with KDE trunk and Qt 4.8 from Git (as of yesterday).  I'd say it happens about 50% of the time when logging in or restarting the desktop (using "kquitapp plasma-desktop; plasma-desktop").

If it is relevant I have 4 virtual desktops and "different widgets for each desktop", with a different folderview for each showing a different location.  Not using any activities.  Each folderview has the same settings:

Arrangement:  top to bottom, left to right
Sorting:  unsorted
Lock in place: yes
Align to grid: yes

Login set to "start with an empty session".
Comment 110 Arnaud Frézet 2012-05-31 21:41:27 UTC
Hi,

this bug affects me too. I'm on Kubuntu 12.04 with KDE 4.8.3. It happens since 4.8.1 or 4.8.2 version.
It has disappeared in an update before 4.8.3 (i'm trying to find it), but it is back in 4.8.3.

I try to remove kde-cache in /var/tmp/, it works once, but the bug comes back quite quickly.
Comment 111 Ignat Semenov 2012-06-06 06:57:14 UTC
*** Bug 298790 has been marked as a duplicate of this bug. ***
Comment 112 Reartes Guillermo 2012-06-07 21:43:09 UTC
This is the first time i got it since i installed F17. (I did it see it on the prerelease versions).
kdelibs.x86_64     6:4.8.3-1.fc17 
VGA: ATI/CAICOS

I am using F16 on my laptopn since months and i never experienced it there. (VGA: INTEL GMA).
And it use it a lot.
Comment 113 Ignat Semenov 2012-06-08 08:59:45 UTC
OK, awesome.

Reartes, an you build kde from source to apply a debug patch, or
should I rather send you an rpm with the patch applied?

I can't reproduce the bug here, so have to wait for someone with this
bug to pop up and run teh patched folderview and send me back the
debug data.

Flavio, do you still experience the bug? Apply the latest patch and
report back if you still do.

Thank you!
Comment 114 Flavio 2012-06-08 19:51:10 UTC
(In reply to comment #113)
> Flavio, do you still experience the bug? Apply the latest patch and
> report back if you still do.
Yes, but it only happened just one time.
The main problem is that the icons are placed all on the left of the screen even if I positioned them in other places.
Comment 115 Ignat Semenov 2012-06-08 20:33:54 UTC
Nah, that's the other bug you're seeing there. "Custom positions are
lost on login"

Awesome, I'll send you a patch to track down that issue, too, since I
can't reproduce it.. some kind of race condition, I reckon, maybe it
appears on slower drives or slower filesystems or smth else like that.
We'll see.

https://bugs.kde.org/show_bug.cgi?id=265774 - report the issue there
(confirm it) and I'll post a patch tomorrow, there's a couple possible
paths in the code that could lead to the custom icon positions being
lost.

Thank you for the input!
Comment 116 Flavio 2012-06-09 06:43:58 UTC
Great!

Just waiting for the patch.

Cheers, 

Flavio
Comment 117 Reartes Guillermo 2012-06-14 03:21:25 UTC
> OK, awesome. Reartes, an you build kde from source to apply a debug patch, 
> or should I rather send you an rpm with the patch applied?

I never built kde myself, so no experience compiling something so huge.
I would test such rpm.

> I can't reproduce the bug here, so have to wait for someone with this bug to pop up and run teh 
> patched folderview and send me back the debug data. 

I reproduced it again, but this time i noticed something new, thanks to Bastion and Amnesya...
I reproduced it, i leaved it without doing anyting. (and the two last times it happened comming from a SHUTDOWN, not a reboot).

I played Bastion (full screen opengl) and i noticed after playing that the desktop was normal again (!). I will pay closer attention to this and report asap if i see the same thing again.
Comment 118 pik33 2012-06-14 07:35:45 UTC
After upgrading to 4.8.4... third day without a bug...
Comment 119 Reartes Guillermo 2012-06-14 17:00:43 UTC
My original bugreport is 294720 (duplicate of this?)

I reproduced it by performing a series of shutdowns (from kde) and poweron.
After some tries, i reproduced it.
So i launched Bastion but i wes incorrect.

Then i remembered something i also have done that day... tried to play  Braid.... 

$ /usr/local/games/braid/braid 
Segmentation fault (core dumped)

Yes, but after that, when it returns to KDE the folderview desktop is NORMAL...
The game does not run, but it triggers something in KDE that repairs the problem without
configuring anything. (that i know of, at least).
Comment 120 Reartes Guillermo 2012-06-18 00:39:15 UTC
Created attachment 71895 [details]
new screenshot, new 'variant' of the issue.

Note: the wheather station is broken by its own (i have not reported it yet).

The XServer was killed by an unrelated (and reported) bug, so after login, KDE restored 
the previous session, which came with the issue (it seems to happen at shutdown, and 
then lurks in the saved session).

So when i noticedit, i ALT+F2 launched Braid, which produced the attached sceenshot.

Additional info, probabbly unrelated:
Also i noticed that i was able to launch braid BEFORE the "sound of logon" played (A KNOW OLD ISSUE from F15/F16/F17). Sometimes i cannot launch programs before the logon sound
plays. (sometimes it waits more than 30s, then all stuff (from saven session and new 'pending' alt+f2 launches  appears at once. I grow used to it.
Comment 121 Reartes Guillermo 2012-06-18 00:42:17 UTC
By clicking on the wheater station, it opened konqueror un full-screen which i quicly closed,as it was a mistake after all....But i noticed the desktop was normal again.
Comment 122 pik33 2012-06-18 08:26:31 UTC
To recover from this bug in 4.8.4 (it still exists, but not at every start)
If you can see a scrollbar instead of icons:

- press ctrl-alt-backspace to kill kde, and then login again
- repeat until you can see your icons
Comment 123 Flavio 2012-06-18 20:13:03 UTC
(In reply to comment #122)
> To recover from this bug in 4.8.4 (it still exists, but not at every start)
> If you can see a scrollbar instead of icons:
> 
> - press ctrl-alt-backspace to kill kde, and then login again
> - repeat until you can see your icons
It actually still happens to me on kde-4.8.3. And that is just the solution I've used to solve the problem: do ctrl+alt+backspace repeatedly.
Comment 124 Flavio 2012-06-24 08:32:27 UTC
Now that I am facing with this problem again at every kde start, I do kquitapp plasma-desktop && plasma-desktop to restore the folder view.
Comment 125 Ignat Semenov 2012-06-24 15:24:30 UTC
That's awesome! Use the "one more version of the debug patch" patch
and report back.

IIRC you said some time ago that the bug had been gone, but now that
it is always there, we can track it down finally.
Comment 126 Flavio 2012-06-24 16:17:38 UTC
(In reply to comment #125)
> That's awesome! Use the "one more version of the debug patch" patch
> and report back.
Good! Right away! ;-)

> 
> IIRC you said some time ago that the bug had been gone, but now that
> it is always there, we can track it down finally.
Yes! I hope so!
Comment 127 Flavio 2012-06-24 16:37:32 UTC
OK! I've pressed CTRL+ALT+Backspace and I've encountered this bug again, but the ~/.kde/share/folderview.debug file is empty. What should I do?
(And yes, the patch has been correctly applied)
Comment 128 Flavio 2012-06-24 17:00:15 UTC
Created attachment 72097 [details]
OK, here we go.
Comment 129 Ignat Semenov 2012-06-24 18:22:09 UTC
Awesome.. this looks like it, at least there's the setRange(0, 969)
call, and the preceding calculation. Let me check the code to see
what's going south there.
Comment 130 Flavio 2012-06-24 18:24:16 UTC
(In reply to comment #129)
> Awesome.. this looks like it, at least there's the setRange(0, 969)
> call, and the preceding calculation. Let me check the code to see
> what's going south there.

Sure! Take your time! ;-)
Comment 131 edfardos 2012-06-25 14:01:16 UTC
I get the problem ~80% of the time I login.  I'm waiting with great interest in what you discover.  

thanks,
-edfardos
Comment 132 Ignat Semenov 2012-06-25 18:27:46 UTC
*** Bug 302517 has been marked as a duplicate of this bug. ***
Comment 133 Flavio 2012-06-25 20:01:21 UTC
(In reply to comment #131)
> I get the problem ~80% of the time I login.  

Me too. And even more than 80%.
I am going to attach a new folderview.debug file.
Comment 134 Flavio 2012-06-25 20:02:20 UTC
Created attachment 72137 [details]
folderview.debug

folderview.debug file.
Comment 135 Iacopo Benesperi 2012-06-26 13:24:12 UTC
Hi,
I'm experiencing this problem too, with KDE 4.8.3 on Debian Wheezy.

It happened again this morning, and I have done the kquitapp plasma-desktop && plasma-desktop routine for the first time (I didn't know that) and after restarting plasma all my icons lost their (custom) positioning. But then, I tried to play with activities, because I had two note widgets on my desktop and they disappeared.
So: I usually use just one activity, but I had more of them set up (now I've deleted them) because it was done by default by KDE when installing and I never bothered to remove them. Well, the result is that when I restarted plasma I ended up in a different activity and that's why I didn't have the two widget anymore and the icons had lost their position. Switching to the right activity "solved" the problem.

BTW: I'd like to see this bug fixes so I'm in game to help as I can, but I'd rather not recompile KDE because I've never compiled anything bigger than Firefox and doing it with the whole DE (and so not relying on deb packages anymore) scares me. Maybe I can try it on a VM, if I manage to reproduce the bug in it.
Comment 136 Ignat Semenov 2012-06-26 13:49:36 UTC
Flavio, btw, do you have one activity or many? If you have a few
activities, could you please reproduce with only one activity?
Comment 137 Iacopo Benesperi 2012-06-26 13:54:46 UTC
Just to be more precise: with only one activity I've solved the icons reordering bug (so far at least), but the scrollbar problem is still present.
Comment 138 Flavio 2012-06-26 20:18:32 UTC
(In reply to comment #136)
> Flavio, btw, do you have one activity or many? If you have a few
> activities, could you please reproduce with only one activity?

I only have the CPU Monitor widget on my desktop.
Comment 139 Iacopo Benesperi 2012-06-26 22:31:50 UTC
Flavio, activity != widget. To switch activity you have to right-click on the desktop and choose the Activity (Attività in Italian) entry. A list of all the activities will show up.
Comment 140 Flavio 2012-06-27 19:56:03 UTC
(In reply to comment #139)
> Flavio, activity != widget. To switch activity you have to right-click on
> the desktop and choose the Activity (Attività in Italian) entry. A list of
> all the activities will show up.
OK, thanks for specifying me this.
So, I don't have any activity on my desktop. So I tried to create one but I did a mess... The desktop icons are not longer shown! :|
This is why I've never used the activities, because I was warried to do something wrong, and it happened this time.
My KDE is in english! :)
Comment 141 Flavio 2012-06-27 20:02:09 UTC
OK I restored my desktop! :D 
Please don't ask me to play with activities... :D
Comment 142 Ignat Semenov 2012-06-27 20:31:21 UTC
OK, I see. Well, we need to eliminate as many factors as we can,
activities included.

What I see is that the contentsRect().height() is returning a weird
value (1), so will dig from there on.
Comment 143 Iacopo Benesperi 2012-06-28 10:02:22 UTC
Flavio: anyway you surely have at least one activity, since your desktop is already an activity (an activity shows a custom desktop. You can have more to have multiple desktop with different widgets and so on, but you have one by default at least) so it doesn't matter how many activities you create and modify, if you don't touch the one of your desktop (the one you want to keep) you can always switch to it and find it the way you left it.

Ignat: I can help you with this, just don't ask me to compile kde.
Comment 144 Iacopo Benesperi 2012-06-28 16:04:48 UTC
Created attachment 72197 [details]
Icon reorder screenshot

Hi again,
when I've switched on my PC again today I got the (now usual) scrollbar, done kquitapp etc. etc. and when plasma restarted the icons were no more on their original position but all on the first line (see the screenshot). The only way to put them back to their position has been to create a new folder, put them all inside the new folder, reboot the PC (not just kdm) and then put them back one by one on the desktop. Without the reboot, when I tried to put them back on the desktop they went again in their position on the first line instead of where the mouse was (or anyway in the first coloumn).
TBH, I forgot to save the plasma file before rebooting, too hot in my room and the brain is running slow :)

BTW, Ignat: I sent you and e-mail yesterday, did you receive it?
Comment 145 Flavio 2012-06-28 19:53:08 UTC
(In reply to comment #143)
> Flavio: anyway you surely have at least one activity, since your desktop is
> already an activity (an activity shows a custom desktop. You can have more
> to have multiple desktop with different widgets and so on, but you have one
> by default at least) so it doesn't matter how many activities you create and
> modify, if you don't touch the one of your desktop (the one you want to
> keep) you can always switch to it and find it the way you left it.
Well, thank you for explaining this Iacopo. I appreciate you.
Comment 146 edfardos 2012-06-29 14:14:27 UTC
So I had some time to look at the issue this morning, instead of just switching to desktop view, then back to folderview, which normally fixes the problem.

This time I grabbed that scrollbar on the right side of the screen and slowly scrolled down with it.  I scrolled down until I hit the panel, then I made the panel shorter so I could scroll even farther.  Once I did, my icons scrolled onto the screen!   I used the scrollbar so I could see all my icons, then suddenly it disappeared.

So for whatever reason, most mornings the foldierview thinks there are icons spread all over a "virtual" desktop, which is why the icons are missing and the strange scrollbar appears on the side of the screen.  It scrolls through what must be a 1000 screens worth of vertical space, but your icons are in that space if you scroll slow enough and find them, once they're all visible, the scroll bar goes away by itself, and you're back to normal.

--edfardos
Comment 147 Flavio 2012-06-30 10:06:39 UTC
Hey, my last test today was the following.
After logging in I've experienced this issue, and the only thing I have done to restore the icons on my desktop (and to get the scrollbar disappeared), is to resize the kickstart bar (the task manager with the clock, the K menu, etc.) and to restore to its original size. The kquitapp is no longer needed.
Comment 148 Reartes Guillermo 2012-06-30 15:01:19 UTC
Yes, me too.
I resized the panel. Then i started to scroll down but suddenly the scroll bar disapeared and the
icons appeared.
Comment 149 pik33 2012-07-04 07:08:12 UTC
I left the panel resized and this seems to be workaround for this bug - no scrollbar anymore since I did it.
Comment 150 gustavo 2012-07-10 23:33:06 UTC
I can reproduce this bug and from extensive diffing I am convinced that there is no relationship between the happening of the situation and the state of the configuration files on ~/.kde. 

From what I can tell this bug comes from a race condition on the startup of plasma-desktop and that is why it happens only metimes and to some users.

I've found a way to make this situation very prone to happening:

1- logout from KDE
2- change your wallpaper by hand by editing plasma-desktop-appletsrc, eg

wallpaper=/usr/share/wallpapers/Azul

3- login again

You will likely see the damned scroll bar.

After this, you can make the problem disappear by right clicking on the desktop and opening the Folder View Settings and then unlocking the widgets, switching from Folder View to Desktop, pressing apply and finally switching back to Folder View and applying the change.

Ubuntu 12.04 with KDE 4.8.4 installed from Ubuntu repos (not a Kubuntu base installation), running   on   a VM.
Comment 151 Iacopo Benesperi 2012-07-11 00:04:38 UTC
For what's worth, I confirm pik33 workaround: leaving the panel resized solve the scroll bar problem, even if sometimes the icons get reordered anyway.
Comment 152 gustavo 2012-07-11 11:19:33 UTC
What do you mean leaving the panel resized? You mean leaving it narrower than the screen?

I need a pre-configuration where the panel fully stretches left to right regardless of the resolution because we use different resolutions and it shouldn't be up to the user to mess up with the panel width.
Comment 153 Iacopo Benesperi 2012-07-11 11:24:45 UTC
I know it shouldn't, that's why it's called workaround and not solution. Anyway, yes: instead of having the panel take 100% of the screen width, you resize it of the tiniest bit and leave it that way.
Comment 154 gustavo 2012-07-11 14:10:29 UTC
@Iacopo

Doesn't WFM. See the attached screenshot.
Comment 155 gustavo 2012-07-11 14:12:28 UTC
Created attachment 72454 [details]
Problem with desktop Folder view happening even if the panel is not maximized.
Comment 156 Iacopo Benesperi 2012-07-11 14:17:02 UTC
Well, I don't know what to say. It works for me. I had the scroll bar at every startup before, and I haven't had it once since resizing the panel.
Comment 157 edfardos 2012-07-11 15:01:05 UTC
No desktop icons this morning.

resized the pannel from full screen width to about 80% width.  Icons suddenly appeared, along with a scrollbar on the right side of the desktop.  The scrollbar had a large handle on it this time, after moving it up and down, my icons shifted vertically a bit, and once they were all in their original positions, the scrollbar vanished.

I don't know if there's additional info here, but that's what happened this morning (kde 4.8.3 ubuntu 12.04)

--edfardos
Comment 158 gustavo 2012-07-11 15:24:18 UTC
@edfardos

I could reproduce that exact behaviour. You'll see however that keeping the panel at 80% won't garantee that the problem is gone. That manual procedure only fixes things for the current session.
Comment 159 Flavio 2012-07-11 17:28:39 UTC
(In reply to comment #149)
> I left the panel resized and this seems to be workaround for this bug - no
> scrollbar anymore since I did it.
Yes, I can confirm this too.
The strange thing is that this issue has never happened on my laptop with a lower screen resolution.
Comment 160 pik33 2012-07-12 08:14:47 UTC
(In reply to comment #155)
> Created attachment 72454 [details]
> Problem with desktop Folder view happening even if the panel is not
> maximized.

Maybe the panel has to be shorter, to not overlap with the scrollbar.
Comment 161 edfardos 2012-07-12 13:20:23 UTC
No icons this morning, so I recorded of a video of the process to restore them, and show how this bug is manifested.

 http://sierraglider.com/craiger/out-1.ogv   (5.6M, full resolution desktop 2560x1600)

That's a pretty high resolution, I wonder if a high-res desktop is required to replicate the bug.

--edfardos
Comment 162 Ignat Semenov 2012-07-18 11:54:02 UTC
*** Bug 303728 has been marked as a duplicate of this bug. ***
Comment 163 Reartes Guillermo 2012-07-24 20:20:40 UTC
I used the AMD Catalyst Propietary Driver (12.6) for some weeks and did not encouter the issue at all during that time.

Now i am using the open source radeon drivers again. 
I quickly found it again after some resets.
Comment 164 kordovan_ 2012-07-26 18:57:43 UTC
@Reartes Guillermo: For how long did you use this driver? I mean isn't it possible that this random bug just didn't show up during that time?

@all: Did anybody ever get rid of this bug? And are there machines, where the folderview works without problems?

This is such an ugly bug, and i finally want to get rid of it. I can't believe its still there....
Comment 165 Reartes Guillermo 2012-07-26 19:05:00 UTC
> @Reartes Guillermo: For how long did you use this driver? I mean
> isn't it possible that this random bug just didn't show up during that time?

I used it for 3 weeks, i think. But i plan to reinstall them again later. So, eventually
we will know if it was just luck or not.
Comment 166 Enrico Tagliavini 2012-07-27 07:55:16 UTC
(In reply to comment #164)
> @all: Did anybody ever get rid of this bug? And are there machines, where
> the folderview works without problems?

I get rid of it, but it is a case: I've done nothing, to my knowledge, to get rid of it. I just keep updating the system as usual (this is sabayon linux). As I already said I only switched to plasma-netbook once to show it to some friend, and nothing more. At some point (with kde 4.8.something) the issue just gone for me and I never managed to have it again given this is my work PC.
Comment 167 Leszek Lesner 2012-07-27 08:17:53 UTC
It seems to me be a race condition(between desktop containment and the panel) as I can confirm, after I upgraded my Notebook to use a SSD instead of a normal harddrive the error occurs more often.
Comment 168 pik33 2012-07-27 11:05:49 UTC
I have no symptoms of this bug any more since I shorten the panel.
Comment 169 Reartes Guillermo 2012-07-28 00:51:36 UTC
Created attachment 72802 [details]
CALC File with the performed test matrix (3 systems, 4 vga cards)

This calc file shows all tests i peformed today.

The issue happened with both RADEON (Open Source) and CATALYST (Propietary) drivers.

For RADEON: It happened only with DE Enabled and Renderer: OpenGL
For CATALYST: It happened with DE Enabled with BOTH OpenGL and XRender.

I did not observe the issue when DE are disabled with both OpenGL and XRender.

I did not observe the issue with Intel (Arrandale).
I did not observe the issue with Nouveau.

Regarding SSDs:

I do have SDD on both Desktops (not in the laptop).
* Host A (main) -> 2 x Vertex3 (RAID1)
* Host B (spare) -> 1 x Vertex2
Comment 170 Reartes Guillermo 2012-07-29 19:25:36 UTC
I want to add these tests:

On Host A:

I also have reproduced it on:

* DE Enabled, Renderer OpenGL (with RADEON) (set resolution to 1280x768)
* DE Enabled, Renderer OpenGL (with RADEON) (without shaders 2.0)
* DE Enabled, Renderer OpenGL (with RADEON) (all individual effects disabled) 

I also have NOT reproduced it on: (+20 test cycles without hitting it)

* DE Enabled, Renderer: OpenGL (with RADEON) (VSYNC Disabled) (default effects)
* DE Enabled, Renderer: OpenGL (with RADEON) (VSYNC Disabled) (all individual effecs disabled)
Comment 171 Reartes Guillermo 2012-07-29 21:08:54 UTC
I was not able to reproduce it (on host A) with: (20+ cycles)

* DE Enabled, Renderer: OpenGL (default effects), VSYNC + Shaders OpenGL2
Panel is NOT maximized. (centered).  

This was known, but it good to verify that it is so after previous tests: Flavio, pik33, Iacopo Benesperi, edfardos, with the exception of gustavo@angulosolido.pt (comment #155) in which re-sizing the panel did not help.
Comment 172 Reartes Guillermo 2012-07-29 22:54:37 UTC
Created attachment 72815 [details]
panel size & position test, and an odditie

I am now exploring the panel size issue:

TEST: 10 cycles of Login-Logout, no reboot, in the listed order (host A) (10 cycles per item):
(With: DE Enabled, Renderer OpenGL, Shaders OpenGL2, VSYNC, default effects)

I did not reproduce the issue:
 * Panel Maximized, RIGHT (0/10)
 * Panel Maximized, UP (0/10)
 * Panel Maximized, LEFT (0/10)

I did reproduce the issue 3 times (consistent with my previous tests) 
 * Panel Maximized, DOWN (3/10) +2 oddities

With the Panel maximized DOWN, i also got an additional message, probabbly not
related but suspicious. (the 'oddities')

It happened twice, the first time it did not lead to the issue, the second time it did. That is 
why it might no be related, but i never observed it before.

I am attaching an screenshot, it is in spanish, but it says "unknown error", modal dialog type. It happend after login, midway kde loading.
Comment 173 gustavo 2012-07-30 07:04:51 UTC
Indeed shrinking the panel did not fix it. If this is a race condition as it seems there may be something making it more reproduceable on my setup: I'm running kde on a VM on a host that has many more VMs, so the host load is random and varies quite a bit. Access to the system is done via xrdp.
Comment 174 Ignat Semenov 2012-07-30 09:03:48 UTC
The message is from KMail. Please read the text in the window header
carefully. Also, for reporting bugs, please use the English locale. It
is difficult and error prone to translate the messages back to
English.

OK, I have an old system on a different drive, the bug used to be
there for some time, I'll test it there then.

What we know for sure is that the issue is in IconView::contentsRect()
failing and returning 1. Why does it fail, is the question.
Comment 175 Flavio 2012-07-30 16:40:04 UTC
(In reply to comment #171)
> This was known, but it good to verify that it is so after previous tests:
> Flavio, pik33, Iacopo Benesperi, edfardos, with the exception of
> gustavo@angulosolido.pt (comment #155) in which re-sizing the panel did not
> help.
Here I am... Excuse me but I admit to be a little bit lost. 
What I can say is that if the panel has the fill width the bug happens. If i resize it, it doesn't happen.
Note that this issue is not present on my laptop, or it happens very rarely.
Comment 176 BitMaster 2012-07-30 19:52:00 UTC
Created attachment 72835 [details]
KDE4 user plasma desktop configuration

My KDE4 user plasma desktop configuration files that trigger the issue.
Comment 177 BitMaster 2012-07-30 20:08:29 UTC
I am currently using KDE 4.8.3 on Gentoo Linux x64 and also are affected by this bug.
Nvidia Proprietary drivers v302.44 (comment #5), Reso monitor 1: 2560x1600 (comment #161), Reso monitor 2: 1920x1200 (comment #43)

Here are my findings (related to all the other comments):
- Restarting plasma-desktop temporarily fixes the issue while logged in. (comment #87)
- I deleted the default activities (only kept one: "Desktop Icons") (comment #136)
- I have only one virtual desktop (comment #146)
- The issue is present with both restoring the session on logon and starting with a new one (comment #83 and comment #84)
- Changing the layout to desktop and back to folder view does fix the issue while logged in. (comment #96)
- I'm playing some wine games and sometime they crash, not changing the resolution back to the original value. I use xrandr to restore it manually (maybe this triggers the scrollbar somehow)

I've attached my configuration files: comment #176

If I should run some tests, please let me know.
Comment 178 edfardos 2012-07-31 00:24:45 UTC
Interesting theory with the SSD/racing idea.  I too happen to have an SSD.  I also discovered this morning that I could make my desktop icons re-appear by simply resizing the panel to ~80% of the screen width.  The right-screen-edge scroll bar was still there, but just moving it up and down a few times made it go away too.
Comment 179 Ignat Semenov 2012-07-31 19:01:05 UTC
Created attachment 72857 [details]
yet one more debug patch
Comment 180 Ignat Semenov 2012-07-31 19:04:14 UTC
Flavio, if you are still around, please apply the latest debug patch and report back. Thank you a lot for the help.

If anybody else builds kde from source, apply "debug.patch" to kde-baseapps, rebuild, relogin, and then wait until the bug appears. When it does, kquitapp plasma-desktop (do NOT kill X Ctrl+Alt+Backspace as this will destroy the debug data or kill plasma, only GRACEFULLY close plasma-desktop as per above) and post ~/.kde/share/folderview.debug here.
Comment 181 Flavio 2012-07-31 19:49:22 UTC
(In reply to comment #180)
> Flavio, if you are still around, please apply the latest debug patch and
> report back. 
Done. I will report you back, just in case of new problems!

> Thank you a lot for the help.
No problem mate! ;-)
Comment 182 Ignat Semenov 2012-07-31 20:27:47 UTC
I hope the bug is still around ;) Because I really need the data from the patch.

Take your time! I have a lot of other bugs to nail in the meanwhile.
Comment 183 Reartes Guillermo 2012-08-01 20:22:06 UTC
I performed this test on host B:

Console:
* login (as user) and then logout to KDE 

Remote:
* login (as root) and move (after logout) the .xsession-errors file and collected them.

So after many tries, i could compare them, but i could not find and obvious error.
The differences:

Good:

kmix(1815) sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider 
kded(1737)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider 
kmix(1815) sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider 
kded(1737)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider 
State change 
Moving from "ready" 1 to "paused" 4 
kmix(1815) sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider 
Stream changed to file:///usr/share/sounds/KDE-Sys-Log-In-Short.ogg 
New PolkitAgentListener  0x89e4c0 
Adding new listener  PolkitQt1::Agent::Listener(0xa1c880) for  0x89e4c0 
State change 
Moving from "paused" 4 to "playing" 2 
kmix(1815) sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider 
kded(1737)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider 
plasma-desktop(1773)/plasma StatusNotifierItemSource::refreshCallback: DBusMenu disabled for this application

Bad:

kded(2083)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider 
kmix(2159) sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider 
New PolkitAgentListener  0x184c4c0 
Adding new listener  PolkitQt1::Agent::Listener(0x19c9770) for  0x184c4c0 
kded(2083)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider 
kmix(2159) sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider 
kded(2083)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider 
State change 
Moving from "ready" 1 to "paused" 4 
kmix(2159) sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider 
State change 
Moving from "paused" 4 to "playing" 2 
kded(2083)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider 
kmix(2159) sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider 
plasma-desktop(2117)/plasma StatusNotifierItemSource::refreshCallback: DBusMenu disabled for this application 


Kmix, Kded and PolKitAgentListener switch order.
Comment 184 Reartes Guillermo 2012-08-02 02:43:31 UTC
I do not claim this will be able to reproduce it, but it helped very much here.

* Login 
* Lock Widgets
* Un-Lock Widgets
* Click in the Panel Tool Box button
* Select "More Settings" and "Maximize Panel"
* Click the middle of the Desktop
* Drag the Panel Tool Box button to the left of the pager widget. (it will self-invert in the process)
* Lock Widgets
* Logout
* login

Using these steps made easier to reproduce the issue on host A (radeon:caicos)
On host B (radeon:redwood) it was more difficult, i need to add some steps:

* Login 
* Un-Lock Widgets
* Click in the Panel Tool Box button  
* Reduse the panel size.              
* Lock Widgets
* Un-Lock Widgets
* Click in the Panel Tool Box button
* Select "More Settings" and "Maximize Panel"
* Click the middle of the Desktop
* Drag the Panel Tool Box button to the left of the pager widget. (it will self-invert in the process)
* Lock Widgets
* Logout
* login

Also with this method, i was able to reproduce it with the intel (arrandale) for the
first time (since F16 came out, heavy use). For intel, i needed to apply the exact configuration show below.

Also note that with the configuration below, the panel is translucent with CAICOS but SOLID with REDWOOD. They should be the smae but they are not. (KDE Oxygen theme's panel is translucent on REDWOOD). And in the past i experienced the non-translucent panel with CAICOS. Most likely this is unrelated. Also intel (arrandale) panel is solid.

desktop effects             = enabled
improved window management  = enabled
various animations          = enabled
effect on desktop switching = slide
animation speed             = normal

effects enabled = login, minimize_animation, slide, startup_feedback, dialog_parent, desktop_grid, present_windows

compositing type = opengl
keep window thumbnails = only for shown windows
scale method = accurate
suspend desktop effects for fullscreen windows = enabled
use opengl 2 shaders = enabled
use vsync = enabled

Panel Widgets: show_desktop, pager (single desktop named "desktop")
Panel Other Stuff: amarok, telepathy, kmix, klipper
Desktop Widgets: luna, wheather station, dictionary (does not work)

Intel:rarrandale and radeon:redwood do not use desktop widgets.
Comment 185 Ignat Semenov 2012-08-02 05:28:26 UTC
Interesting. Can you build kde-baseapps from source to apply the patch Reartes?

Flavio, are you still experiencing the bug?
Comment 186 Flavio 2012-08-02 17:15:05 UTC
(In reply to comment #185)
> Flavio, are you still experiencing the bug?
Yes, I've experienced this bug just few minutes ago. I am going to attach the folderview.debug file.
Comment 187 Flavio 2012-08-02 17:17:12 UTC
Created attachment 72907 [details]
folderview.debug

Here's the last folderview.debug file.
Comment 188 Ignat Semenov 2012-08-02 19:08:48 UTC
This looks like you're using the old patch, the new one has braces all
around debug variables.

OR you killed plasma non-gracefully and all the new output has been lost.
Remember, you can not kill plasma or the X server, only kquitapp
plasma-desktop.

Yes, I've checked the patch, the data in the attached debug file is from
the old patch, I've changed the syntax in the latest version.

Did you rebuild kde-baseapps with the new patch version?
Comment 189 Flavio 2012-08-03 19:00:17 UTC
(In reply to comment #188)
> This looks like you're using the old patch, the new one has braces all
> around debug variables.
I've used "yet one more debug patch (9.02 KB, patch)"
http://bugsfiles.kde.org/attachment.cgi?id=72857

> 
> OR you killed plasma non-gracefully and all the new output has been lost.
No, I did it after copying the folderview.debug file in another location.

> Remember, you can not kill plasma or the X server, only kquitapp
> plasma-desktop.
I only do kquitapp plasma-desktop.

> 
> Did you rebuild kde-baseapps with the new patch version?
I've rebuilt the kde-base/plasma-apps on Gentoo.
Comment 190 Ignat Semenov 2012-08-03 20:37:07 UTC
Well, there is no output from the new version of the patch in the
file, unfortunately. Something is wrong somewhere. Try deleting the
folderview.debug file and applying the patch again against a clean
code checkout. I apologise for making you do this again, but you see,
there was no necessary data recorded for some reason.
Comment 191 Flavio 2012-08-04 06:45:59 UTC
OK, 

you are right, I'm sorry. I did it once again and this is what I see inside the folderview.debug file after doing kquitapp pasma-desktop:

logging setRange() function calls

updateScrollbar in layoutItems 772
setRange() in updateScrollBar 948 0 105

logging setRange() function calls
Comment 192 Ignat Semenov 2012-08-04 13:40:36 UTC
Well there should also be a few "layoutSanityCheck" and a lot of
geometry data? That's the whole point of the patch, to trace the
calculations that precede the setRange() call (which in itself tells
us nothing, in fact, it only tells us that the bug happens, whereas
why it happens is in the other debug statements).

It really looks like you are using the wrong patch or applied it
incorrectly. Please, have a look inside the patch, to see what debug
output you can expect form it, just to make sure we understand each
other.
Comment 193 Flavio 2012-08-04 14:58:00 UTC
OK, this is the patch I've successfully applied today:
http://pastebin.com/W7n7Evkj

I also removed the old /.kde/share/folderview.debug file and let the patch to create the new one.
I will attach the complete build.log and the epatch.log, so you could see and check if there's something wrong with patching.
Comment 194 Flavio 2012-08-04 14:59:18 UTC
Created attachment 72950 [details]
build.log for plasma-apps

The complete build.log file for plasma-apps compilation.
Comment 195 Flavio 2012-08-04 14:59:54 UTC
Created attachment 72951 [details]
epatch.log
Comment 196 Ignat Semenov 2012-08-04 15:23:40 UTC
Well, maybe I'm wrong, anyway, wait for the issue to appear, then
paste the complete debug file here.
Comment 197 Reartes Guillermo 2012-08-07 23:00:43 UTC
@Ignat Semenov 
> Interesting. Can you build kde-baseapps from source to apply the patch
> Reartes?

After a couple of days, i was able to build (for the first time) and run KDE with kdesrc-build (master) on a kvm guest.

Due not having opengl there, i was not able to reproduce it there.... too bad that would have been too convenient :-) 

But now i plan to repeat the build in host b, it will take a couple of days (at least) since i need to 
re-install and build the whole KDE-SC again. (and then, if the issue is reproducible, i will try the patch).
Comment 198 Ignat Semenov 2012-08-08 01:41:39 UTC
OK, thank you for the help. I'll be waiting for the results.

Flavio, do you have any spare time to retry the debugging process?
Last time we tried there was something wrong with the patch. I will
post a sample folderview.debug file here (from my machine) for you to
understand what it should look like if the patch is applied correctly.
Comment 199 Iacopo Benesperi 2012-08-08 07:06:57 UTC
Ignat: the patch is good for KDE 4.8, too? Maybe I can compile it and help as I've done for the random sort of icons on the desktop in the other bug (btw, that bug seems fixed so far)
Comment 200 Ignat Semenov 2012-08-08 09:32:20 UTC
Yes, 4.8 works fine.

Unfortunately, the folderview applet code did not change a lot 4.8 ->
4.9, so almost any patch will apply fine both to 4.8 and 4.9.

On Wed, Aug 8, 2012 at 10:06 AM, Iacopo Benesperi
<registrazioni@iacchi.org> wrote:
> Comment # 199 from Iacopo Benesperi
>
> Ignat: the patch is good for KDE 4.8, too? Maybe I can compile it and help
> as
> I've done for the random sort of icons on the desktop in the other bug (btw,
> that bug seems fixed so far)
>
> ________________________________
> You are receiving this mail because:
>
> You are on the CC list for the bug.
> You are the assignee for the bug.
Comment 201 Reartes Guillermo 2012-08-12 22:51:23 UTC
I have built (with errors, see below):

* KDE 4.8.5 (kdebaselibs + workspace + base + pim = 26 modules) 
* KDE 4.9.0  (kdebaselibs + workspace + base + pim = 26 modules) 

kdeplasma-addons does not compile, i could not fix it. This applies both to 4.8.5 and 4.9.0

I built them and tested on Host B. I could not reproduce the issue today.

I copied them and tested them on Host A. I also could not reproduce the issue today.
For 4.9.0 on Host A, i put back the fedora theme and splash screen (just to be sure), but i could
not reproduce it today.

Since kdeplasma-addons fails to build, i am not able to setup the panel in the same way my normal user is set up. (for example, show-desktop is not present).

So, will try to reproduce the issue during the week.
Comment 202 zxr250cc 2012-08-16 17:38:21 UTC
I am using KDE 4.8.4 with Mageia 2. I have the scroll bar on the right side of the desktop problem with hidden icons in an IBM T-23 laptop that uses Savage S-3 chipset for video section. I can boot the laptop, log in as root and no scrollbar. I then log out and log in as user and no scroll bar. If I start with user as initial log in from boot I have the scroll bar and no icons. This is irritating, obviously. Any setting I can change to KILL SCROLLBAR PERMANENTLY? I don't like having it and would never use it as a feature. Add a KILL THE DAMN THING BUTTON somewhere in settings? 

cheers
Comment 203 Ignat Semenov 2012-08-16 19:05:56 UTC
This is a bug. Since I (the current maintainer of folderview) don't
experience it myself, and neither does the author of folderview, all I can
do to fix this bug is to rely on other users experiencing the bug to
provide me debug data.

Iacopo, are you still experiencing it? If yes, please, apply the latest
debug patch and post the ~/.kde/share/folderview.debug file here (remember
to exit plasma-desktop gracefully to let it sync the debug output to disk).

On Thu, Aug 16, 2012 at 9:38 PM, zxr250cc <zxr250cc@netscape.net> wrote:

>  zxr250cc <zxr250cc@netscape.net> changed Bug 294795<https://bugs.kde.org/show_bug.cgi?id=294795>
>  What Removed Added  CC   zxr250cc@netscape.net
>
>  *Comment # 202 <https://bugs.kde.org/show_bug.cgi?id=294795#c202> from
> zxr250cc <zxr250cc@netscape.net> *
>
> I am using KDE 4.8.4 with Mageia 2. I have the scroll bar on the right side of
> the desktop problem with hidden icons in an IBM T-23 laptop that uses Savage
> S-3 chipset for video section. I can boot the laptop, log in as root and no
> scrollbar. I then log out and log in as user and no scroll bar. If I start with
> user as initial log in from boot I have the scroll bar and no icons. This is
> irritating, obviously. Any setting I can change to KILL SCROLLBAR PERMANENTLY?
> I don't like having it and would never use it as a feature. Add a KILL THE DAMN
> THING BUTTON somewhere in settings?
>
> cheers
>
>  ------------------------------
> You are receiving this mail because:
>
>    - You are on the CC list for the bug.
>    - You are the assignee for the bug.
>
>
Comment 204 Iacopo Benesperi 2012-08-16 21:03:46 UTC
Yes, I'm still experiencing it, but I'm on vacation now until the 26th and I really don't have time to patch, compile, etc. When I come back I'll do it, promise. The latest patch is the one posted the 31st of July, right?
Comment 205 Reartes Guillermo 2012-08-16 21:05:40 UTC
@Ignat Semenov

In these days i tried to reproduce the issue on host A with:

* KDE 4.8.5 (kdebaselibs + workspace + base + pim = 26 modules) 
  Note: kdeworkspace-addons FAILS TO COMPILE
  User: u49r (KDE running from ~/kde4)
  
* KDE 4.9.0 (kdebaselibs + workspace + base + pim = 26 modules) 
  Note: kdeworkspace-addons FAILS TO COMPILE
  User: user4 (KDE running from ~/kde4)

I did not reproduce the issue on these versions.
Please note the issue with 'kdeplasma-addons', i cannot customize
the panel in the same way without that package.
I will rebuild them, maybe it was a bug and now it is fixed and
the package can be magically built. :-)

I still have it with my regular user(s) and / or native fedora 
KDE installation. For example, i reproduced it with my user, then
logged out, used u49r and could not reproduce it (several attempts),
then i tried user4 with the same result. But when i login again
with my user, the bug is there waiting for me. (!) 

There are pending updates (KDE 4.8.5) witch i will not install, just
to be sure.

Question: (due to the lack of something better)

KDM -> SPLASH -> KDE(Folderview)

which component manages the 'transition' from KDM to KDE. I mean, the one
who executes the 'splash screen'. I was just wondering if an error there 
reading the wallpaper somewhere could do this.

View  has:
Layout: "Folderv iew"  :-)
Wallpaper: Image (in my case "Beefy Miracle" @ 1920x1200)
Positioning: "Scaled" -->> what about a "bad transient scaling issue?"
Color: in my case it fixed.

I hope that somebody do reproduce the issue someday.
Comment 206 Ignat Semenov 2012-08-17 11:22:22 UTC
Iacopo, ok, sure, have a nice holiday! Yes, probably the one posted on
the 31st of July. "one more version of the debug patch".

Reartes, I still think the issue is in the folderview code, but to be
sure, I need the debug data. Let us wait for the testers to report
back and then we'll know for sure.
Comment 207 Iacopo Benesperi 2012-08-17 19:44:35 UTC
Little update: since i had the sources of kde-baseapps already, I've applied the patch and compiled, then I've replaced the system plasma_applet_folderview.so file with the one I compiled (which should contain the patch, right? I don't need to replace other files).
At the next reboot the scrollbar appeared and I exited plasma gracefully (kquitapp plasma-desktop) but I haven't fount any folderview.debug file in ~/.kde/share/, so: what am I doing wrong?
Comment 208 Ignat Semenov 2012-08-17 20:00:34 UTC
Uhm.. no idea tbh :) It works for me and Flavio as well.

Try 'sudo updatedb' and then 'locate folderview.debug'?

Make sure you've really replaced the file?

Make sure you've replaced the file, then logged out and rebooted (for
the new library file to load), then did the testing?

Really weird, I've tested the patch myself, it showed me a lot of debug data.

Which patch did you use? I think there are no patches that do not
create the ~/.kde/share/folderview.debug file, but just in case.
Comment 209 Iacopo Benesperi 2012-08-17 20:35:35 UTC
I'm sure I've replaced the file, and when I exited plasma it was after a switch off/switch on after replacing the file.
I used the patch of the 31st of July, as I asked yesterday. I've also checked that the files have been patched correctly.
I've run updatedb and then locate, with no luck. Replacing plasma_applet_folderview.so should be enough, right?
Do I need to install some debug packages of kde libraries from the system package manager?

Anyway, this is what I've done this time:
1. Switched on the PC (I have autologin on KDM)
2. Seen the scrollbar bug
3. Run "kquitapp plasma-desktop"
4. Looked for folderview.debug file with no luck
5. Run "plasma-desktop" to reload plasma
6. Looked again for folderview.debug, again with no luck
Comment 210 Ignat Semenov 2012-08-17 23:11:06 UTC
One thing I can tell for sure, no need to use any packages with debug
symbols. Those are necessary when there is a crash or when e.g.
profiling (i.e. where symbol names are necessary).

Well, the only thing I can recommend is compiling right there, with
development packages installed on the machine whee you are going to
test.

Maybe try to reboot without quitting plasma-desktop after seeing the bug?

I'll check c++ file output now.. maybe I'm missing something obvious..
but on my machine, this code works just fine.
Comment 211 Florian Dittmer 2012-08-18 02:09:14 UTC
I had this issue for several months with KDE 4.8.x versions. Since upgrading to KDE 4.9, the problem disappeared.
Comment 212 Flavio 2012-08-19 13:10:26 UTC
Here we go guys!

Ignat,  

compiled again, first without the patch, and then with the following patch again:
> yet one more debug patch (9.02 KB, patch) 
> 2012-07-31 19:01 UTC, Ignat Semenov 

Now, something different is shown in the folderview.debug file.
I will attach it in the next post. I hope it will help this time!

Flavio
Comment 213 Flavio 2012-08-19 13:11:37 UTC
Created attachment 73297 [details]
folderview.debug

new folderview.debug file against a new plasma-desktop problem.
Comment 214 Ignat Semenov 2012-08-19 14:19:15 UTC
Awesome , this is the kind of data I'm expecting.

You experienced the bug prior to posting this data, right? In the last
lines I can see a setRange call with 0, 969, which means the scrollbar was
shown.

Interesting though, I was expecting the problem to show up in the
layoutSanityCheck code. Well, let's check this one first. Still, I may need
your help later on :)
Comment 215 Flavio 2012-08-19 14:23:00 UTC
(In reply to comment #214)
> Awesome , this is the kind of data I'm expecting.
> 
> You experienced the bug prior to posting this data, right?
Yes! That's correct!

> In the last
> lines I can see a setRange call with 0, 969, which means the scrollbar was
> shown.
Yes, it's actually being shown.

> 
> Interesting though, I was expecting the problem to show up in the
> layoutSanityCheck code. Well, let's check this one first. Still, I may need
> your help later on :)
No problem! :)

Glad to help you.

Cheers!
Comment 216 zxr250cc 2012-08-20 15:11:50 UTC
Mageia 2 with KDE 4.8.4

I have found that after boot up if I log in as root I do not have the scroll on the right. I then log out, log in as user and the scroll does not appear but the icons on the desktop are now small, not normal size from installation. If I log in after boot up as user I have the scroll bar on the right side. 

This is very strange stuff!

cheers,

gcd



-----Original Message-----
From: Flavio <fbcyborg@gmail.com>
To: zxr250cc <zxr250cc@netscape.net>
Sent: Sun, Aug 19, 2012 9:23 am
Subject: [Bug 294795] When used as the desktop containment, FolderView displays a scrollbar and no icons, even if there are items in the displayed folder, on login


https://bugs.kde.org/show_bug.cgi?id=294795

--- Comment #215 from Flavio <fbcyborg@gmail.com> ---
(In reply to comment #214)
> Awesome , this is the kind of data I'm expecting.
> 
> You experienced the bug prior to posting this data, right?
Yes! That's correct!

> In the last
> lines I can see a setRange call with 0, 969, which means the scrollbar was
> shown.
Yes, it's actually being shown.

> 
> Interesting though, I was expecting the problem to show up in the
> layoutSanityCheck code. Well, let's check this one first. Still, I may need
> your help later on :)
No problem! :)

Glad to help you.

Cheers!
Comment 217 Larpon 2012-09-03 21:14:26 UTC
Joined to say that I've had this bug for a long time on Kubuntu - I recognize almost every report in here.

I'd like to add though - that I've been suspecting either resolution, driver or desktop effects (still called compiz?) to have something to do with the issue.

I've got the exact bug, as described here, on my Kubuntu 1920x1200 desktop with prop. NVidia drivers and desktop effects enabled.
I've had the bug on my laptop but it disappeared in a mix of going to kubuntu-low-fat-settings (kubuntu specific apt package), running with that for a while and then re-enabling the desktop effects (it's been a while and I have probably forgotten a lot of other steps, sorry). Laptop is 1280x720, Intel driver, desktop effects enabled.
Comment 218 zxr250cc 2012-09-03 23:05:15 UTC
My ThinkPad X31 uses ATI driver, 1024x768, 24 bit settings. 


Cheers,



gcd




-----Original Message-----
From: Larpon <leverpostej@gmail.com>
To: zxr250cc <zxr250cc@netscape.net>
Sent: Mon, Sep 3, 2012 4:14 pm
Subject: [Bug 294795] When used as the desktop containment, FolderView displays a scrollbar and no icons, even if there are items in the displayed folder, on login


https://bugs.kde.org/show_bug.cgi?id=294795

Larpon <leverpostej@gmail.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |leverpostej@gmail.com

--- Comment #217 from Larpon <leverpostej@gmail.com> ---
Joined to say that I've had this bug for a long time on Kubuntu - I recognize
almost every report in here.

I'd like to add though - that I've been suspecting either resolution, driver or
desktop effects (still called compiz?) to have something to do with the issue.

I've got the exact bug, as described here, on my Kubuntu 1920x1200 desktop with
prop. NVidia drivers and desktop effects enabled.
I've had the bug on my laptop but it disappeared in a mix of going to
kubuntu-low-fat-settings (kubuntu specific apt package), running with that for
a while and then re-enabling the desktop effects (it's been a while and I have
probably forgotten a lot of other steps, sorry). Laptop is 1280x720, Intel
driver, desktop effects enabled.
Comment 219 Myriam Schweingruber 2012-09-07 09:33:30 UTC
*** Bug 294087 has been marked as a duplicate of this bug. ***
Comment 220 Iacopo Benesperi 2012-09-11 20:51:14 UTC
A little update here: I'm experiencing this bug daily and I'd love to help, but so far I haven't been able to create a folderview.debug file, despite Ignat's patch. I don't know how I can debug this debug (:P), but if you have any idea please tell me.
Comment 221 akm 2012-09-14 14:47:00 UTC
I am not sure if this helps or not, I got the bug (opensuse 12.2 with kde 4.8.5)

Once I got my desktop back as I wanted to (I deleted all plasma* files to get it back) I made a backup of the modified working files.
Today the desktop was wrong again so I logged out and in a few times, it remained wrong, then I put the backup of  plasma-desktoprc back, logged in again and it was fine.

The working plasma-desktoprc:  (from my backup)

[BackgroundConfigDialog]
Height 1024=719
Width 1280=649

[KFileDialog Settings]
Height 1024=495
Recent Files[$e]=DSCN1296.JPG,$HOME/Pictures/coolpix/2009-Japan/DSCN1296.JPG
Width 1280=672

[PlasmaViews][1]
panelVisibility=0

[PlasmaViews][1][Sizes]
lastsize=1280

[Updates]
performed=/usr/share/kde4/apps/plasma-desktop/updates/systray-to-notifications-widget.js,/usr/share/kde4/apps/plasma-desktop/updates/addShowActivitiesManagerPlasmoid.js,/usr/share/kde4/apps/plasma-desktop/updates/opensuse-update-firefox-icon-url.js

[ViewIds]
1=1
13=2

the "new"  none working plasma-desktoprc

[BackgroundConfigDialog]
Height 1024=719
Width 1280=650

[KFileDialog Settings]
Height 1024=495
Recent Files[$e]=DSCN1296.JPG,$HOME/Pictures/coolpix/2009-Japan/DSCN1296.JPG
Width 1280=672

[PlasmaViews][1]
panelVisibility=0

[PlasmaViews][1][Horizontal1280]
offset=0

[PlasmaViews][1][Horizontal800]
offset=0

[PlasmaViews][1][Sizes]
lastsize=1280

[PlasmaViews][1][Sizes][Horizontal1280]
max=1280,35
min=1280,35
offset=0
size=1280,35

[PlasmaViews][1][Sizes][Horizontal640]
max=640,35
min=640,35
offset=0
size=640,35

[PlasmaViews][1][Sizes][Horizontal800]
max=800,35
min=800,35
offset=0
size=800,35

[Updates]
performed=/usr/share/kde4/apps/plasma-desktop/updates/systray-to-notifications-widget.js,/usr/share/kde4/apps/plasma-desktop/updates/addShowActivitiesManagerPlasmoid.js,/usr/share/kde4/apps/plasma-desktop/updates/opensuse-update-firefox-icon-url.js

[ViewIds]
1=1
13=2

[invokeAction]
__file=
actionId=
predicate=solid_audiocd.desktop

not sure with it all means but noticed that the width of BackgroundConfigDialog is diffrent between the two, maybe that causes the scrollbar ?
Comment 222 Pelladi Gabor 2012-09-18 08:29:04 UTC
I have taken Ignat's patch as a base, and tried to track down the source of the problem in KDE 4.8.4, Kubuntu 12.04.
This is what I have found out:
The scrollbar is displayed because setRange(0, 115) is called. The 115 is calculated as 116-1, where 116 is the bounding rect for the icons (calculated in itemsBoundingRect()), and 1 is the contentsRect().toRect().height(). The updateScrollBar() that behaves wrong is called from layoutItems(). layoutItems seems to be fine on it's own, but when the bug comes, the value of the contentsRect() is different.
If there is no bug, it is ((0,0),(1280,990)), if startup is buggy, it is ((0,0),(1280,1)). As you can see, it thinks the available space for the icons is 1 pixel in height. My resolution is 1280x1024, 990 must be 1024-34, where 34 is the height of my panel. From this point, everything is clear. It places the icons in one row, but even one icon is 116 pixel in height at me. So it places a scrollbar, which needs 116 pages (remember, my screen is 1 pixel in height). And so the icons are gone.
Please help me, how can I debug further, where are the values set for the contentsRect() method. Why does it think that my screen is 1 pixel in height.
Comment 223 Pelladi Gabor 2012-09-18 14:06:29 UTC
Now I am at the method FolderView::updateScreenRegion(). It contains this part:
//FIXME: a pretty horrible hack, but there we go; should do something more elegant in 4.5
The if (c->metaObject()->indexOfSlot("availableScreenRect(int)") != -1) is always true for me, so we call QMetaObject::invokeMethod(c, "availableScreenRect", Qt::DirectConnection, Q_RETURN_ARG(QRect, availRect), Q_ARG(int, screen()));
This gets called 3 times during a startup. In the first two invocations, this results in availRect.bottom() being 1023. Then we have two updateGridSize() invocations in IconView, and who knows what else, and then comes the third call to updateScreenRegion().
If the bug is absent, availRect.bottom() is 989, if the bug is happening, it is 0.
Comment 224 Pelladi Gabor 2012-09-18 14:36:26 UTC
I had a look at: plasma/desktop/shell/desktopcorona.cpp
In availableScreenRect(int id), if the panel is at the bottom (like at me), we have:
r.setBottom(v.top());
Because the method returned 0 in the bottom variable, I think the v.top() returned 0. Maybe the panel does not have the position set, when the folder view is being created?
Comment 225 Ignat Semenov 2012-09-18 16:32:13 UTC
Hello Pelladi,

You may want to apply the debug patch and paste the folderview.debug file here, since you are a programmer, applying a patch is most probably trivial for you.

Excellent debugging you did there, yes indeed according to the debug files other users have posted here it is clear that the contentsRect is calculated incorrectly. Most probably it is a race condition between the panel and the view, I think. Sometimes the bounding rect is returned correctly and sometimes not.
Comment 226 Pelladi Gabor 2012-09-18 17:37:06 UTC
Created attachment 74003 [details]
debug with Ignat's patch
Comment 227 Pelladi Gabor 2012-09-18 17:38:10 UTC
Created attachment 74004 [details]
The patch that I created
Comment 228 Pelladi Gabor 2012-09-18 17:38:48 UTC
Created attachment 74005 [details]
The debug output with my patch
Comment 229 Pelladi Gabor 2012-09-18 17:44:27 UTC
Hello Ignat,
I have attached the output with your patch after a startup, nothing else done. First is bad, second is good.
I have inserted a lot of debug virtually everywhere, I have attached the patch (based on version 4.8.5), and the debug output of that. The third "!updateScreenRegion" is the first difference, the first is bad, the second startup is good.
Comment 230 edfardos 2012-09-21 21:27:35 UTC
I switched from the "Default" kde splash screen to the "Kubuntu" splash screen and haven't noticed the problem in my last 20 logins or so.  The "Kubuntu" splash screen seems to wait longer before it disappears and exposes the desktop.

Might just be coincidence too.
Comment 231 Pelladi Gabor 2012-10-10 07:07:07 UTC
I am still trying to figure this out, but I am getting closer. What happens is the following:
- FolderView is created, size is set to 1280x1024
- Panel at the bottom is created, size is set to 1280x35, position at (0,989)
If there is no bug, it continues as follows:
- FolderView receives updateScreenRegion event, sets it's size to 1280x989
- Panel receives no move event
If there is the bug, it continues as follows:
- Panel receives move event from X11 that moves the panel to (0,0) i.e. the top of the screen
- Folderview receives updateScreenRegion event, sets it's size to 1280x1 (because it wants to be above the panel...)
- Panel receives move event from X11 that moves the panel to (0,989)

It is clear that the panel moving to (0,0) is the cause of everything that follows. Maybe the move event the panel receives is coming because for a short time, there FolderView is still maximized while the panel is already created. And these two don't fit into the containment. But this is only a guess.
I have tried to figure out the origin of the move event by creating a stack trace, but I couldn't, the stack trace does not show it (attached it nevertheless).
Comment 232 Pelladi Gabor 2012-10-10 07:08:20 UTC
Created attachment 74451 [details]
Stack trace of the move event
Comment 233 Pelladi Gabor 2012-10-10 14:44:18 UTC
I have fixed this for myself by changing DesktopCorona::availableScreenRect(int id):
                case Plasma::BottomEdge:
                    if (screenGeometry(id).bottom() - v.height() < r.bottom()) {
                        r.setBottom(screenGeometry(id).bottom() - v.height());
                    }
                    break;
This is not an universal solution but it works for my setup.
Comment 234 Dan MacDonald 2012-10-14 08:32:45 UTC
I'm having this same prob under Deb Wheezy / KDE 4.8.4 - for me it occurs after I've hooked up an external (DVI) display to my laptop. When I return to a single display my desktop icons are gone and I'm left with the scrollbar.

This is one of only two bugs that I'm aware of under KDE 4.8.4 - the other is that I frequently get overlapping items in the panel - but like that other bug this is very visible and frustrating. Thankfully it looks like this is close to being fixed now so hopefully it will be fixed in time for 4.10.
Comment 235 Iacopo Benesperi 2012-10-21 21:32:56 UTC
I don't think this has been reported before, so I'm going to add this bit now: this bug only happens if compositing is enabled. If you disable Desktop effects, it never happens.
Comment 236 Reartes Guillermo 2012-12-15 21:18:14 UTC
What is the current status on this one?

I did not see the issue since quite some time. I think i never experienced it on 4.9.x versions (i am still running F17). 

Is anyone experiencing it on current or 4.9.x versions?
Comment 237 Larpon 2012-12-15 21:32:37 UTC
Problem gone after Kubuntu 12.10 upgrade for me
Comment 238 S. Bryant 2012-12-16 21:22:44 UTC
Hi,

This bug hit me last week, using KDE 4.9.4 on OpenSuse 12.2 - in a VM.  Resizing the VMware window (ie: changing resolution) made the desktop sort itself out.

It only happened the one time.

Steve
Comment 239 Flavio 2012-12-16 21:39:05 UTC
(In reply to comment #236)
> Is anyone experiencing it on current or 4.9.x versions?
No, it seems to be gone. But never say never! :D
Comment 240 Denis 2012-12-17 13:20:17 UTC
It still happens on 4.9.4 for me.
Comment 241 tonyc236 2013-01-11 21:59:49 UTC
I have this problem and it is 100% reproducible for me.  It happens every time I boot, or log out and login again. 

I use Opensuse 12.2, with KDE 4.8.5  and it started happening after the following updates were applied

kdelibs4-4.8.5-2.20.1                         Wed 19 Dec 2012 09:00:12 PM EST
libksuseinstall1-4.8.5-2.20.1                 Wed 19 Dec 2012 09:00:10 PM EST
kdelibs4-core-4.8.5-2.20.1                    Wed 19 Dec 2012 09:00:10 PM EST
kdelibs4-doc-4.8.5-2.20.1                     Wed 19 Dec 2012 08:59:58 PM EST
libkde4-4.8.5-2.20.1                          Wed 19 Dec 2012 08:59:54 PM EST
libkdecore4-4.8.5-2.20.1                      Wed 19 Dec 2012 08:59:49 PM EST

I'll attach the following files, post boot before fixing the desktop how I like it.

plasma-appletrc
plasma-desktop-appletsrc
plasma-desktoprc
plasmarc

I don't have "plasma_applet_plasmaconrc" anywhere on my system.
~
Comment 242 tonyc236 2013-01-11 22:03:04 UTC
Created attachment 76402 [details]
plasma-appletrc
Comment 243 tonyc236 2013-01-11 22:04:39 UTC
Created attachment 76403 [details]
plasma-desktop-appletsrc
Comment 244 tonyc236 2013-01-11 22:05:43 UTC
Created attachment 76404 [details]
plasma-desktoprc
Comment 245 tonyc236 2013-01-11 22:07:03 UTC
Created attachment 76405 [details]
plasmarc
Comment 246 Iacopo Benesperi 2013-01-11 22:36:26 UTC
Since it's a long time we aren't making any progress on this bug, I was thinking... Is anybody who can solve it coming to Fosdem this year? Because I'll be there and I'd love to bring my laptop and show you the problem, so you can debug it on an affected machine,
Comment 247 Ignat Semenov 2013-01-12 10:04:35 UTC
Iacopo, are you a developer yourself? Do you compile KDE from sources? We could arrange a meeting in irc I think, to do some kind of "remote debugging".

When is Fosdem this year?
Comment 248 Iacopo Benesperi 2013-01-12 12:45:30 UTC
I wouldn't call myself a developer. The only programming language I really know is php, but I can compile a program from sources and copy/paste code around, even if for my own system I use the debian package. Let's say that I can compile kde from sources and, rather than installing the whole DE in the system, replace the supposed incriminated file (or files) with the one I've compiled (as I've done, if you recall, in another bug regarding Desktop icons moving around by themselves). Just keep in mind that right now I'm running KDE 4.8.4, until Debian releases Wheezy and updates everything.
We can definitely arrange an irc meeting if you want. I'm free mostly during week-ends and after dinner (GMT+1 time), just write me an e-mail when you want to do it.
Fosdem this year is 2-3 February - I know there's always some KDE people there, I was hoping to see you too, actually.
Comment 249 Ignat Semenov 2013-01-12 13:14:27 UTC
Thank you for the invitation :) But this is of course impossible, first of all it's abroad, second it's too soon, we won't be able to arrange it that fast. Well for certain reasons anyway. Again, thank you for the invitation - but we aren't as mobile as you guys living in the Euro Union.

Now as far as debugging goes, ok, that's great news. From what I understand, it's enough to install the debug packages, and then it's possible to debug with gdb, so we probably don't need to compile things at all. Thank you for the assistance! We'll debug it soon.
Comment 250 Iacopo Benesperi 2013-01-12 13:57:02 UTC
Sorry, looking at your name I thought you were european or nearly so. About the debugging: I'll wait for your mail.
Comment 251 Ignat Semenov 2013-01-12 16:38:05 UTC
Well I live in Russia, which is technically a European country, but still it's not as easy. I may consider joining fosdem, of course, but it's necessary for kde e.v. to provide some documents then. Now when is the next kde conference going to take place, I guess summer time? IMHO fosdem is a bit too much of a mess, isn't it? All the desktops and even more, a lot of teams and projects I have little idea and / or interest in.
Comment 252 m7ur7l3 2013-01-19 21:21:53 UTC
Hi. I started having this issue when I started using my TV as my second monitor with hdmi. It happens EVERY TIME on startup.

I have to switch to any other view then back to folder view to get it to show normally, but even then it changes the
-icon size to default rather than the slightly smaller ones I prefer
-it sorts all the icons alphabetically
-it unchecks the 'align to grid'

Any help would be appreciated and I'd be happy to follow any instructions I get.
Comment 253 Iacopo Benesperi 2013-01-19 21:27:14 UTC
If you read the bug, you'd have seen that a workaround is to resize the main bottom panel to a length shorter than the maximum. This is not a support forum.
Comment 254 m7ur7l3 2013-01-19 21:44:01 UTC
Well I was asking for a workaround that didn't involve a smaller panel, but thank you anyway.
Comment 255 tonyc236 2013-01-21 12:08:30 UTC
As a consequence of cleaning up all the junk activities I had, see "Bug 248386 - kde-4.5 automatically creates lots of junk activities", I found my preferred desktop appeared when I logged in today.
Comment 256 tonyc236 2013-01-21 12:19:08 UTC
(In reply to comment #254)
> Well I was asking for a workaround that didn't involve a smaller panel, but
> thank you anyway.

You could try what worked for me. Right click on the desktop select "Folder View Settings", change layout to "Desktop", click apply, change layout back to "Folder View" click OK. 

If you have lots of "New Activity" activities (tens of) as a consequence of bug 248386 you could delete them. That also worked for me.

Regards.
Comment 257 Germano Massullo 2013-01-21 13:03:34 UTC
I confirm the bug on Fedora 17 with KDE 4.9.5
Comment 258 nevesdiver 2013-01-26 13:28:16 UTC
I can also confirm it on my Debian system running KDE SC 4.9.5. It has been present on my 2 laptops since KDE 4.7
Comment 259 narc 2013-01-26 14:37:07 UTC
The bug disappeared when I started to use widgets on my desktop. (over folder view)
Comment 260 Iacopo Benesperi 2013-01-26 14:53:14 UTC
Not for me. I have sticky notes (or however it is called in English) on my deskto, too, but the bug is still there.
Comment 261 Reartes Guillermo 2013-02-01 21:35:13 UTC
I am still using F17, and i tried (for other reasons) to use the debug kernels, but these do
not boot, and i removed the 'rhgb' and 'quiet' and then i was able to boot them, but will a 
lot off call traces and issues. (a DEADLOCK in cpu0 involving pulseaudio).

Currently i get the issue of this bug-report when booting with the debug kernels. With debug
kernels, when i get the DEADLOCK, the issue is there. (i tried 4 or 5 times).

I still do NOT experience the issue on non-debug (aka normal) kernels.
So i do not experience the issue under normal circumstances.
Comment 262 narc 2013-02-11 12:41:19 UTC
Created attachment 77126 [details]
config

there is the bug with this config
Comment 263 Ignat Semenov 2013-02-11 13:18:41 UTC
OK, I think I need to clarify the situation with this bug.

First of all, I am not able to reproduce the bug when building folderview and the whole of kde from trunk. Second, I have not been able to reproduce the bug with none of 4.8, 4.9. 4.10 binary. At the same time, people report the bug for all the 3 releases I've just mentioned. Also, the folderview code regarding scrollbars and desktop geometry change handling has not been changed since 4.8 for sure, and probably it has not been changed since long before 4.8.

The only chance for me to fix the bug is to come to Akademy and use Iacopo's offer to debug the issue on his laptop, where the bug manifests itself reliably.
Comment 264 Iacopo Benesperi 2013-02-13 23:59:53 UTC
The offer is and will still be there, but Akademy is a long way from now and I don't think I'll be able (or will want) to pay all the way there just to fix a bug.
If it's any help, I may consider giving you vnc access to my laptop, when I won't be behind a nat and firewall I can't control.
Comment 265 Ignat Semenov 2013-02-14 07:32:56 UTC
Oh, indeed, there's vnc and similar tools, I've completely forgotten about that! Nice idea Iacopo :)

OK, I've finally finished with those nasty exams here, so now I am going to study the code closely (what is calling what) and e-mail you when ready to go.

Thank you for the assistance!
Comment 266 juliette.tux 2013-03-15 15:28:45 UTC
Hello gentlemen,
In Russian ROSA distribution we do have a user who's experiencing this bug, but unfortunately he does not speak English at all. Ignat, would you be that kind to look at least at this forum topic, since you speak Russian, and may be the user can provide you any helpfull info. http://forum.rosalab.ru/viewtopic.php?f=38&t=1276
Comment 267 Ignat Semenov 2013-03-17 19:56:19 UTC
Hello juliette.tux,

Will do, being a bit busy right now with the Uni, but the user can expect to receive an answer soon. I appreciate any help in debugging this mysterious race condition (which I'm absolutely sure it is).
Comment 268 Ignat Semenov 2013-03-30 18:59:53 UTC
*** Bug 317615 has been marked as a duplicate of this bug. ***
Comment 269 tonyc236 2013-04-03 02:12:11 UTC
I upgraded to KDE 4.10 several days ago and this problem seems to have disappeared.
Comment 270 firewalker 2013-04-09 17:02:08 UTC
Still present. Just happened to me with KDE 4.10.2, ArchLinux.
Comment 271 Petar Marinov 2013-07-14 17:17:50 UTC
I face the same problem. 
I choose FolderView option, shutdown, my icons are gone, a scroll appears on the right. Then I choose another option, different than FolderView, after I choose FolderView again and my icons are back.
I use Kubuntu 13.04 with KDE 4.10.4
Comment 272 Mahendra Tallur 2013-08-18 17:12:35 UTC
Please excuse me for adding some clutter to this bugreport, but since KDE SC 4.11.0, I have a bug that might be related : when setting Plasma in Folder View mode, the desktop frequently totally  "disappears" after restarting KDE.

Do you guys confirm this new behaviour or should I investigate & add a new bug report for this specific issue ?
Comment 273 Germano Massullo 2013-08-24 15:35:10 UTC
Having this bug again after months of non experiencing it.
KDE 4.10.5
Fedora 19
Comment 274 Velizar Peshev 2013-08-24 21:18:58 UTC
This is VERY SERIOUSLY bug! so so so so annoying....... please, review KDE. I really don't want to uninstall Kubuntu and stay on Windows, but for this stupid bug i will ..
Comment 275 Velizar Peshev 2013-08-24 21:55:53 UTC
A little strange thing that fixes this problem (I don't know if the bug is totally fixed) - I deleted all my icons on the desktop and re-created them. And the bug is gone!
Comment 276 Velizar Peshev 2013-08-24 22:05:57 UTC
not gone .. it appears again .. and 1 more bug appears - I can't open my Windows and Data HDD drives..  I'm disappointed of KDE...
Comment 277 Velizar Peshev 2013-08-24 22:08:57 UTC
I tried something - Disabled Desktop effects. The icons bug disappeared when desktop effects is turned off. So shit ..
Comment 278 Velizar Peshev 2013-08-24 22:22:16 UTC
I'm really frustrating .. Now I'm tried many reboots and logouts with turned ON effects, but without the option "Improved window management" . I tried 4 times without the bug, but really don't know what to do .. There is something with desktop effects and icons.. And when the scrollbar is on the right, i can't multiselect icons with the mouse (when I push left click and move) .
Comment 279 Velizar Peshev 2013-08-24 22:27:28 UTC
Forget about "improved window management" ........
Comment 280 Velizar Peshev 2013-08-24 23:08:59 UTC
consecutive try - Check "Align to grid" and use with it.
p.s. I fixed the HDD problem.
Comment 281 Velizar Peshev 2013-08-25 09:06:21 UTC
"Align to grid" - not helps. But I tried to disable one effect in System settings>Desktop Effects>All Effects - disabled "Login - Smoothly fade to the desktop when logging in". This is cool effect, but this bug is nasty .. Hope this is the decision...
Comment 282 Velizar Peshev 2013-08-25 10:35:09 UTC
The effect doesn't help. Next try is icon text set to 1 line...
Comment 283 Velizar Peshev 2013-08-25 13:15:05 UTC
I tried something different - In bug mode, I deleted my Panel (taskbar with start menu etc.) and the icons shows at the moment! I created new Default Panel, resized to normal size and reboot several times. It has icons. Who knows...
Comment 284 Pelladi Gabor 2013-08-25 15:00:17 UTC
The same still holds that I have written in Comment 231. I have one panel at the bottom, which is the most frequent setup I think. Placing the panel elsewhere may fix this issue, I haven't tried.

The panel, which should be at the bottom of the screen is temporarily moved to the top. I don't know why. Then the icons want to display themselves on a 1 pixel height area, because they want to be above this "bottom" panel. Then the panel comes to the bottom but the icons still want to be on a 1 pixel height area.

This is why any action that forces the icon area to resize itself corrects the desktop until the next boot. This may be changing from Folder view to Desktop and back to Folder view again. This may be deleting the panel and adding back, moving it around.

I still use my self-patched and compiled code. That makes sure that a bottom panel is always at the bottom of the screen. The affected code is in Comment 233. With this I never faced this issue again, before I experienced it in more startups than not.
Comment 285 Velizar Peshev 2013-08-26 09:30:29 UTC
since I re-created the Panel, the bug appears only 1 time. Please, try something - if the bug occurs, click "Show Desktop" on the taskbar (if haven't, create using Widgets) and tell me if the icons showed after the click. Thanks.
Comment 286 Velizar Peshev 2013-08-26 21:18:04 UTC
Hey people - What version ot Kubuntu you are using - 32bit or 64bit? Because I've installed 64bit and there is no bug so far.. And it works more faster than 32bit. That's cool!
Comment 287 Mahendra Tallur 2013-08-27 07:42:22 UTC
@Velizar : it is unrelated. As you can see, this is a long standing bug. There has already been many attempts to pinpoint it :-/

It will probably get solved with the port of the folder plasmoid widget to QML, as it happened with the windows list plasmoid.

I do agree this is a blocker bug though (there are quite a few with this plasmoid) as many many user are bound to stumble upon it. But we should make sure we do not "pollute" the bugreport too much with duplicate information.
Comment 288 Dan MacDonald 2013-09-10 17:51:12 UTC
I still have this issue with KDE 4.11.1 under buntu 12.04 amd64. I was
really hoping the 'disappearing desktop icons' issue would be fixed in 4.11
with the introduction of kscreen - nope!

IMO this is one of the worst bugs in KDE as its likely to affect anyone who
uses more than 1 display with their machine and that quite common for
laptops and desktops used at home or in the office.

It will probably get solved with the port of the folder plasmoid widget to
> QML,
> as it happened with the windows list plasmoid.
>

Is this likely to happen in 4.11.x or will that not occur until KDE 5?

Thanks!
Comment 289 Enrico Tagliavini 2013-09-10 18:45:53 UTC
(In reply to comment #288)
> IMO this is one of the worst bugs in KDE as its likely to affect anyone who
> uses more than 1 display with their machine and that quite common for
> laptops and desktops used at home or in the office.

I had it with one display only attached so I doubt it is related to multiple displays (never had more then one display on that pc ever). I can understand you passion about this, but did you considered this simple workaround (supposing it works, but I guess it does): use the normal desktop instead of the folderview, add a folderview widget make it very big to cover almost the entire desktop of the main screen. I know this is not 100% the same thing, but is very similar, and you should not have this annoying bug.
Comment 290 Dan MacDonald 2013-09-10 18:54:20 UTC
Hi Enrico!

Thanks for your suggestion. That is what I'll be doing until this long
standing (and very visible) bug gets fixed, which I'm concerned won't
happen in 4.11.

I've been updating a few posts on the KDE bug tracker today - Dolphin's
Find tool is overdue some love. Its essentially broken as it stands as it
doesn't show the paths and its in bad need of a few more find options
(size, date etc) too. Desktop bread and butter stuff this!


On Tue, Sep 10, 2013 at 7:45 PM, Enrico Tagliavini <
enrico.tagliavini@gmail.com> wrote:

> https://bugs.kde.org/show_bug.cgi?id=294795
>
> --- Comment #289 from Enrico Tagliavini <enrico.tagliavini@gmail.com> ---
> (In reply to comment #288)
> > IMO this is one of the worst bugs in KDE as its likely to affect anyone
> who
> > uses more than 1 display with their machine and that quite common for
> > laptops and desktops used at home or in the office.
>
> I had it with one display only attached so I doubt it is related to
> multiple
> displays (never had more then one display on that pc ever). I can
> understand
> you passion about this, but did you considered this simple workaround
> (supposing it works, but I guess it does): use the normal desktop instead
> of
> the folderview, add a folderview widget make it very big to cover almost
> the
> entire desktop of the main screen. I know this is not 100% the same thing,
> but
> is very similar, and you should not have this annoying bug.
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
>
Comment 291 Saverio 2013-10-01 06:55:27 UTC
(In reply to comment #286)
> Hey people - What version ot Kubuntu you are using - 32bit or 64bit? Because
> I've installed 64bit and there is no bug so far.. And it works more faster
> than 32bit. That's cool!

I am running Kubuntu 13.04 64 bit, unfortunately the bug is still there.
Comment 292 Ben Cooksley 2013-10-04 06:01:31 UTC
Removing zxr250cc@netscape.net from CC per abuse report.
Comment 293 Larpon 2013-10-21 11:49:37 UTC
I just updated to Kubuntu 13.10 (64 bit) yesterday and the problem is back.

I've had no problems since Kubuntu 12.10 but now it's back.

I'll try to delete the *rc files and see if anything happens...
Comment 294 Gamblit 2013-10-21 15:07:34 UTC
I'm running Fedora 19 with KDE 4.11.2 and the problem has also returned for me.
Comment 295 Petar Marinov 2013-10-22 06:55:18 UTC
My user case:  OS Ubuntu 13.10, when I plug in a second monitor, then plug it out, turn it off from "Display Configuration", restart and the icons in FolderView are gone.
Comment 296 Petar Marinov 2013-10-22 06:56:21 UTC
(In reply to comment #295)
> My user case:  OS Ubuntu 13.10, when I plug in a second monitor, then plug
> it out, turn it off from "Display Configuration", restart and the icons in
> FolderView are gone.

I meant OS Kubuntu 13.10.
Comment 297 Larpon 2013-10-22 09:16:33 UTC
I removed:

plasma-desktop-appletsrc
plasma-desktoprc
plasmarc

With the command:
rm ~/.kde/share/config/plasma*

And the problem hasn't been back after 2 boots.

On a related note the problem hasn't showed up on my laptop which I've also upgraded to Kubuntu 13.10 - but the problem stopped on the laptop after I started using the Kubuntu notebook package (which is designed to slim KDE a bit to make it use less battery afaik - I can recall something about it also disabling desktop effects - maybe there's a connection there?)
Comment 298 Velizar Peshev 2013-10-27 17:28:47 UTC
I caught something - I reinstalled Kubuntu and have no the bug before installing of SuperTux 2 and SuperTuxKart games. When I created shortcuts of them on the Desktop, bug appears. I removed them - bug dissapeared. So strange, but cool...
Comment 299 Velizar Peshev 2013-11-19 22:23:30 UTC
I tried something tricky - Deleted "New Activity" and switched to "Desktop Icons" activity. No bug yet...
Comment 300 Velizar Peshev 2013-11-19 23:14:48 UTC
Does not help. But tried something different - deleted my first created Panel (taskbar) and created new Default panel. Resized it, and now it works great... (In reply to comment #299)
> I tried something tricky - Deleted "New Activity" and switched to "Desktop
> Icons" activity. No bug yet...
Comment 301 Velizar Peshev 2013-12-13 15:50:24 UTC
Panel doesn't work. I've tried something tricky. Because when the bug appears, the Tool box with label "New Activity" or "Desktop" or something else is inverted vertically, I moved it to the upper left side on the desktop. Hope that works, I've no problems so far...
Comment 302 moorkai 2013-12-29 22:39:20 UTC
(In reply to comment #299)
For the record, this helped me, at least for now. Two reboots and everything is still fine. No sight of "New Activity" yet.
Comment 303 Velizar Peshev 2013-12-30 12:48:45 UTC
Something new I tried - in Startup and Shutdown menu in System Settings, in the Session management I selected "Start with an empty session" (Default is "Restore previous session") . Good luck ..
Comment 304 Ignat Semenov 2014-01-04 10:15:13 UTC
*** Bug 329590 has been marked as a duplicate of this bug. ***
Comment 305 Velizar Peshev 2014-01-11 22:34:35 UTC
Good news - "Start with an empty session" option maybe is the answer!! I rebooted more than 15 times and no scrollbar and normal icons!!!
Comment 306 Velizar Peshev 2014-01-15 18:35:03 UTC
The bug appears again.. sooo annoying -.-
Comment 307 Velizar Peshev 2014-01-29 08:11:08 UTC
I created a new Gadget, made it small and don't prevents me. No matter what kind of gadget you have to create. But .. With the gadget, the bug is maybe gone, because the gadget blocks the desktop size (I think the bug is occurs because the Desktop size is zoomed to a very big size and that's the bug). Good luck!
Comment 308 Germano Massullo 2014-02-06 03:34:02 UTC
From
http://forum.kde.org/viewtopic.php?f=67&t=98886#p212463
>Anyway, found the problem. If you have "start with an empty session" in startup/shutdown options, that causes the problem.

Indeed I have this option active.

>And, if you type "plasma-desktop" under "applications to be excluded from sessions", and check start with empty session, this fixes problem completely.

I can't find that option


KDE 4.11.5 on Fedora 20
Comment 309 Christoph Feck 2014-02-10 00:30:22 UTC
*** Bug 330958 has been marked as a duplicate of this bug. ***
Comment 310 Eugeny Shkrigunov 2014-02-10 06:19:19 UTC
Stop this madness!
Two years almost every day our users ask - "Where are my icons?" and after switching to the FolderView - "why all mixed up?".
We believed in you and followed you. You are professionals - how can occur such crap?
Imagine for a moment: you've come to the dentist and he gave you a seal, which falls every day. And you have to go to it again and again and again ...
This bug MUST be blocker for the KDE's next release.
Every regress should be highest priority.
Comment 311 Enrico Tagliavini 2014-02-10 08:52:47 UTC
Hi  Eugeny,

this is not the right place where to discuss such a problem, other then its technical side. I can understand your frustration but this is a nasty bug, as you can see by the history. A lot of people worked on it, and nobody was able to solve it. This is specially hard if KDE devs cannot reproduce this easily themselves. I'm confident the next release (KDE SC based on framework 5) will behave.

Also please before pretending (and not asking) a bug to be a blocker try to think about the other half of KDE users not using FolderView, not affected at all by the problem. Also considering the workaround is as simple as just using a non full screen folderview.... annoying if you want, but at least it works that way.

Your help is welcome if you wish.

With kind regards
Enrico
Comment 312 Michael Okuntsov 2014-02-10 18:02:51 UTC
Can confirm; I've had it on Ubuntu 12.04-13.10, Debian 6&7.

Enrico, sorry, but it's really frustrating, especially if you install Linux for friend/collegue who wants to get rid of Windows, and then he tells you "Uh, this buggy Linux can't even show icons on desktop".
Comment 313 Enrico Tagliavini 2014-02-11 10:43:20 UTC
Yes Michael, it is very frustrating, and I know very well what you mean. That said, how does it help commenting here and pretending this bug to be solved? The only effect is to upset KDE developers and users, and demotivating them! I had this bug in the past I CC-ed myself and tried to help, 1 month later the bug was for me cannot really help anymore.

On the technical side this is not a huge issue, sorry. By default folderview is not used full screen, the workaroud is easy (use the default desktop and place a big folderview inside, instead of the folderview dekstop type, it is very the same). It is really more important to work on KF5 given the vast majority of contributors does this for passion, not for money, remember that. Remember in free software nobody will do it for your [1].

Finally: software has bugs. There is no software the human kind ever produces which is 100% bug free. If people you are trying to move to Linux uses this bug as a reason to not use Linux (when they accept the huge pile of junk they have in Windows), sorry but they are just using it as an excuse, they simply don't want to move (which is by any means very legit).

[1] http://aseigo.blogspot.ie/2012/09/nobody-will-do-it-for-you-and-therefore.html
Comment 314 Iacopo Benesperi 2014-02-11 10:55:26 UTC
I can't but agree with Enrico and, actually, the workaround is even simpler than the one he proposes: everything you have to do is resize the bottom panel so that it doesn't extend to 100% of the width. Just a small reduction is enough. This is a screenshot of what I mean, if you don't understand: http://imgur.com/YUznIKc
So please, if your comments are not going toward the solution of the bug, stop wasting everybody's time and messing up the bug report. Thank you.
Comment 315 Eugeny Shkrigunov 2014-02-11 13:21:35 UTC
> Remember in free software nobody will do it for your
unless something is required to break

A lot of people involved in promoting OpenSource, not just developers. They install and configure the software for beginners, provide support, write bug reports and many other things. And many of them do it for free in their spare time.
Comment 316 Eugeny Shkrigunov 2014-03-20 05:50:02 UTC
(In reply to comment #314)
> I can't but agree with Enrico and, actually, the workaround is even simpler
> than the one he proposes: everything you have to do is resize the bottom
> panel so that it doesn't extend to 100% of the width. Just a small reduction
> is enough. This is a screenshot of what I mean, if you don't understand:
> http://imgur.com/YUznIKc
> So please, if your comments are not going toward the solution of the bug,
> stop wasting everybody's time and messing up the bug report. Thank you.

Despair makes me use workaround mentioned here (no 100% of width).
I already have three users which faced this problem again despite workaround.
They hate Linux because of this _KDE_ bug.
But do not worry: they will install М$ Windows, and I will find another job.
Have a nice day
Comment 317 Iacopo Benesperi 2014-03-20 05:57:14 UTC
Actually I have to report that to me, too - although only once - the problem appeared even while the panel wasn't at 100% width. I had to change its size (no matter putting it longer or shorter) to solve the issue. Then I put it back to < 100% width.
Comment 318 akm 2014-03-20 18:59:22 UTC
its a racing condition for sure, sometimes it happens sometimes it does not, what I do know is that I can always fix it by placing a old version of plasma-desktoprc back, it's one I set aside ages ago, in the beginning I did compare the backup and the current one and current one was always bigger.   I don't get it that often anymore but I can certainly understand Eugeny Shkrigunov frustration.

maybe as a workaround always place back a working plasma-desktoprc before KDE starts, dirty but it might help
Comment 319 Germano Massullo 2014-03-20 19:03:18 UTC
Quoting Eugene because I completely agree with him
(In reply to comment #316)
> (In reply to comment #314)
> > I can't but agree with Enrico and, actually, the workaround is even simpler
> > than the one he proposes: everything you have to do is resize the bottom
> > panel so that it doesn't extend to 100% of the width. Just a small reduction
> > is enough. This is a screenshot of what I mean, if you don't understand:
> > http://imgur.com/YUznIKc
> > So please, if your comments are not going toward the solution of the bug,
> > stop wasting everybody's time and messing up the bug report. Thank you.
> 
> Despair makes me use workaround mentioned here (no 100% of width).
> I already have three users which faced this problem again despite workaround.
> They hate Linux because of this _KDE_ bug.
> But do not worry: they will install М$ Windows, and I will find another job.
> Have a nice day
Comment 320 whatifgodwasoneofus 2014-03-26 21:26:21 UTC
Hi! Just wanted to say that this way:

killall plasma-desktop && plasma-desktop

the icons always reappear. You might want to use this as a workaround in a script in .kde4/Autostart, which maybe executes it after a "sleep 5" or so.
In any case, it's better than:
1. Unlocking widgets
2. Changing the view from "Folder" to another thing
3. Switching back to "Folder View"
4. RE-MOVE the icons to your favourite position!
5. Locking widgets again.

The workaround script is... just a script! No need to perform tenths of mouse clicks, and probably the users are won't even notice that the desktop "flashes" 5 seconds after their login.

...and Eugeny could propose this solution and keep his job ;)
Comment 321 Eugeny Shkrigunov 2014-03-27 11:00:04 UTC
(In reply to comment #320)
> Hi! Just wanted to say that this way:
> 
> killall plasma-desktop && plasma-desktop
> 
> the icons always reappear. You might want to use this as a workaround in a
> script in .kde4/Autostart, which maybe executes it after a "sleep 5" or so.
> In any case, it's better than:
> 1. Unlocking widgets
> 2. Changing the view from "Folder" to another thing
> 3. Switching back to "Folder View"
> 4. RE-MOVE the icons to your favourite position!
> 5. Locking widgets again.
> 
> The workaround script is... just a script! No need to perform tenths of
> mouse clicks, and probably the users are won't even notice that the desktop
> "flashes" 5 seconds after their login.
> 
> ...and Eugeny could propose this solution and keep his job ;)

Thank you very much for the tip.
I will try to use a script that checks the status of plasma-desktop via dbus before killing process.
I created a script /etc/kde/startup/99_plasma.sh containing
#!/bin/bash

(
    /bin/sleep 10
    /usr/bin/dbus-send --dest=org.kde.plasma-desktop --type=method_call --print-reply=literal /App local.PlasmaApp.supportInformation 2>/dev/null \
        | /bin/grep -i -q 'plugin name:\s*"folderview"' &> /dev/null || {
            /usr/bin/pkill plasma-desktop && /usr/bin/plasma-desktop
        }
    true
)&
PLASMA_CHECK_PID=$!

disown $PLASMA_CHECK_PID
unset PLASMA_CHECK_PID

true

I may be wrong about the line 'Plugin Name: "folderview"' in the output of dbus, while I have not checked with the help of users.
Comment 322 Eugeny Shkrigunov 2014-04-03 07:37:31 UTC
My users faced a new problem: sometimes after login the desktop widget is a "folder" (not "desktop"), but icons are not shown.
Perhaps the right solution is to return the last working version, and not stretch for years, attempts to solve this very annoying problem?
Comment 323 Velizar Peshev 2014-04-06 19:46:33 UTC
People - I found the reason of the bug - When you change the resolution/launch some game that changes the resolution or anything changing it - the bug occurs. I found the easiest way to eliminate it (continuing searching for complete fix) - when the bug is on the screen, press Windows key+Tab - it changes the activity. Press them again and voila - the icons reappear. That's for now.
Comment 324 Germano Massullo 2014-04-10 22:19:01 UTC
Created attachment 86035 [details]
another KDE 4.12 screenshot
Comment 325 Velizar Peshev 2014-04-21 15:04:42 UTC
I have very strong weapon about this bug - Change destination folder than displays via Desktop. You can choose Desktop folder manually. This fixes the bug absolutely at 100% !
Comment 326 Velizar Peshev 2014-04-21 15:06:16 UTC
You must rewrite your icon names and remove .desktop extension to create normal desktop. (In reply to comment #325)
> I have very strong weapon about this bug - Change destination folder than
> displays via Desktop. You can choose Desktop folder manually. This fixes the
> bug absolutely at 100% !
Comment 327 whatifgodwasoneofus 2014-04-26 17:07:14 UTC
STILL happening with KDE 4.13.

(majaro/KDE, unstable)
Comment 328 Velizar Peshev 2014-04-26 17:32:40 UTC
Try to disable (uncheck) desktop effect "Zoom - Magnify the entire desktop" . Then disable effects, relogin, enable them, relogin again and continue working. If the bug occurs tell me.
Comment 329 whatifgodwasoneofus 2014-04-26 18:21:42 UTC
(In reply to comment #328)
> Try to disable (uncheck) desktop effect "Zoom - Magnify the entire desktop".
> Then disable effects, relogin, enable them, relogin again and continue
> working. If the bug occurs tell me.

"Zoom - Magnify the entire desktop" was already deactivated (I think I've never used it). I have:
1. activated it and,applied the changes
2. deactivated it again and re-applied the changes
3. disabled effects and applied changes
4. logged off and on again
5. enabled the effects again and got a WARNING: "18 desktop effects could not be activated". When I clicked on "more info" it said something like "For technical reason it was not possible to provide further information".
6. I left the box checked and logged off and on again, and the effects were on.

I have also tried with CTRL+SHIFT+F12, and the effects are correctly disabled/enabled...

I'll post again if the icons disappear again.

Thanks,
Comment 330 Velizar Peshev 2014-04-28 21:38:33 UTC
Icons disappeared again. I said END to this stupid bug and going back to Windows 7 ... (In reply to comment #329)
> (In reply to comment #328)
> > Try to disable (uncheck) desktop effect "Zoom - Magnify the entire desktop".
> > Then disable effects, relogin, enable them, relogin again and continue
> > working. If the bug occurs tell me.
> 
> "Zoom - Magnify the entire desktop" was already deactivated (I think I've
> never used it). I have:
> 1. activated it and,applied the changes
> 2. deactivated it again and re-applied the changes
> 3. disabled effects and applied changes
> 4. logged off and on again
> 5. enabled the effects again and got a WARNING: "18 desktop effects could
> not be activated". When I clicked on "more info" it said something like "For
> technical reason it was not possible to provide further information".
> 6. I left the box checked and logged off and on again, and the effects were
> on.
> 
> I have also tried with CTRL+SHIFT+F12, and the effects are correctly
> disabled/enabled...
> 
> I'll post again if the icons disappear again.
> 
> Thanks,
Comment 331 Ignat Semenov 2014-04-29 11:30:47 UTC
Folderview 2, a part of Plasma 2 (a complete Plasma Desktop rewrite),
is due out soon. You might want to reconsider your decision, given
that this bug will most likely vanish with Plasma 2. Thank you.

On 4/29/14, Velizar Peshev <veli.reg@gmx.com> wrote:
> https://bugs.kde.org/show_bug.cgi?id=294795
>
> --- Comment #330 from Velizar Peshev <veli.reg@gmx.com> ---
> Icons disappeared again. I said END to this stupid bug and going back to
> Windows 7 ... (In reply to comment #329)
>> (In reply to comment #328)
>> > Try to disable (uncheck) desktop effect "Zoom - Magnify the entire
>> > desktop".
>> > Then disable effects, relogin, enable them, relogin again and continue
>> > working. If the bug occurs tell me.
>>
>> "Zoom - Magnify the entire desktop" was already deactivated (I think I've
>> never used it). I have:
>> 1. activated it and,applied the changes
>> 2. deactivated it again and re-applied the changes
>> 3. disabled effects and applied changes
>> 4. logged off and on again
>> 5. enabled the effects again and got a WARNING: "18 desktop effects could
>> not be activated". When I clicked on "more info" it said something like
>> "For
>> technical reason it was not possible to provide further information".
>> 6. I left the box checked and logged off and on again, and the effects
>> were
>> on.
>>
>> I have also tried with CTRL+SHIFT+F12, and the effects are correctly
>> disabled/enabled...
>>
>> I'll post again if the icons disappear again.
>>
>> Thanks,
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
> You are the assignee for the bug.
>
Comment 332 Chao Feng 2014-05-06 13:19:15 UTC
*** Bug 321685 has been marked as a duplicate of this bug. ***
Comment 333 Velizar Peshev 2014-05-17 18:34:12 UTC
What's the release date? (In reply to comment #331)
> Folderview 2, a part of Plasma 2 (a complete Plasma Desktop rewrite),
> is due out soon. You might want to reconsider your decision, given
> that this bug will most likely vanish with Plasma 2. Thank you.
> 
> On 4/29/14, Velizar Peshev <veli.reg@gmx.com> wrote:
> > https://bugs.kde.org/show_bug.cgi?id=294795
> >
> > --- Comment #330 from Velizar Peshev <veli.reg@gmx.com> ---
> > Icons disappeared again. I said END to this stupid bug and going back to
> > Windows 7 ... (In reply to comment #329)
> >> (In reply to comment #328)
> >> > Try to disable (uncheck) desktop effect "Zoom - Magnify the entire
> >> > desktop".
> >> > Then disable effects, relogin, enable them, relogin again and continue
> >> > working. If the bug occurs tell me.
> >>
> >> "Zoom - Magnify the entire desktop" was already deactivated (I think I've
> >> never used it). I have:
> >> 1. activated it and,applied the changes
> >> 2. deactivated it again and re-applied the changes
> >> 3. disabled effects and applied changes
> >> 4. logged off and on again
> >> 5. enabled the effects again and got a WARNING: "18 desktop effects could
> >> not be activated". When I clicked on "more info" it said something like
> >> "For
> >> technical reason it was not possible to provide further information".
> >> 6. I left the box checked and logged off and on again, and the effects
> >> were
> >> on.
> >>
> >> I have also tried with CTRL+SHIFT+F12, and the effects are correctly
> >> disabled/enabled...
> >>
> >> I'll post again if the icons disappear again.
> >>
> >> Thanks,
> >
> > --
> > You are receiving this mail because:
> > You are on the CC list for the bug.
> > You are the assignee for the bug.
> >
Comment 334 Ettore Atalan 2014-05-17 21:27:00 UTC
This problem still exists with KDE 4.13.
Comment 335 Velizar Peshev 2014-05-22 18:12:17 UTC
Waiting for Plasma 2. Hope the bug going to be fixed. I don't want to leave KDE, because I love it!
Comment 336 Velizar Peshev 2014-05-22 19:19:31 UTC
How to update to the Beta of Plasma worspaces 2 from Kubuntu? (In reply to comment #335)
> Waiting for Plasma 2. Hope the bug going to be fixed. I don't want to leave
> KDE, because I love it!
Comment 337 Velizar Peshev 2014-05-23 17:19:40 UTC
Tried something that maybe helps, because KDE is no stable after installation, all settings need to be refreshed or restored. Open your Dolphin and type /home/user/.kde/share/ , enter this folder and remove folder config. Relogin. You must recreate all your desktop gadgets if you using it, and create Default panel, because there is no panel after this operation. I relogged too much times and no bug. Hope it helps! ;)
Comment 338 Velizar Peshev 2014-05-24 09:18:38 UTC
Edit: Delete 2 files in folder config, no entire folder: plasma-desktop-appletsrc and plasma-desktoprc . Because deleting entire config folder deletes all kde settings and the bug can be occurs again. (In reply to comment #337)
> Tried something that maybe helps, because KDE is no stable after
> installation, all settings need to be refreshed or restored. Open your
> Dolphin and type /home/user/.kde/share/ , enter this folder and remove
> folder config. Relogin. You must recreate all your desktop gadgets if you
> using it, and create Default panel, because there is no panel after this
> operation. I relogged too much times and no bug. Hope it helps! ;)
Comment 339 Velizar Peshev 2014-05-24 09:25:05 UTC
If you want to delete all KDE settings, delete entire folder. And KDE will be stable and fully refreshed. lol (In reply to comment #338)
> Edit: Delete 2 files in folder config, no entire folder:
> plasma-desktop-appletsrc and plasma-desktoprc . Because deleting entire
> config folder deletes all kde settings and the bug can be occurs again. (In
> reply to comment #337)
> > Tried something that maybe helps, because KDE is no stable after
> > installation, all settings need to be refreshed or restored. Open your
> > Dolphin and type /home/user/.kde/share/ , enter this folder and remove
> > folder config. Relogin. You must recreate all your desktop gadgets if you
> > using it, and create Default panel, because there is no panel after this
> > operation. I relogged too much times and no bug. Hope it helps! ;)
Comment 340 Velizar Peshev 2014-05-29 21:30:01 UTC
Hey, I found that in previous versions of KDE (in KDE Control Center) you can disable virtual desktops. Now you can't. I wanna disable virtual desktops (not using 1 virtual desktop!) .
Comment 341 Diego Viola 2014-06-21 02:28:49 UTC
Same issue here on KDE 4.13.2 (Arch Linux x86_64).

This issue is really annoying.
Comment 342 matthew3311999 2014-06-22 17:52:22 UTC
(In reply to comment #341)
> Same issue here on KDE 4.13.2 (Arch Linux x86_64).
> 
> This issue is really annoying.

I completely agree. I'm having this issue consistently on every startup and [url=https://bugs.kde.org/show_bug.cgi?id=332997]due to this bug[/url], it takes even longer to switch to default desktop and back. This really needs to be fixed (A method aside from deleting all your KDE Preferences).
Comment 343 matthew3311999 2014-06-22 17:59:52 UTC
If no one who has the time can track down the exact reason for this, could they attempt to make a way to change between the default desktop and folder view from the command prompt so that we could make a startup script that would alternate between the views to fix the problem? It would be a dirty fix, but it would be better than manually switching between default desktop and folder view each time on startup.
Comment 344 Diego Viola 2014-06-23 03:22:39 UTC
(In reply to comment #343)
> If no one who has the time can track down the exact reason for this, could
> they attempt to make a way to change between the default desktop and folder
> view from the command prompt so that we could make a startup script that
> would alternate between the views to fix the problem? It would be a dirty
> fix, but it would be better than manually switching between default desktop
> and folder view each time on startup.

I'm not sure if there's a interface to change the desktop layout via D-Bus, but I found that if you press meta+tab to switch activities, as soon as you switch back to the activity where you have folder view as desktop, the icons appear again.

The D-Bus interface for switching activities is under ActivityManager: http://i.imgur.com/de6H4ei.png
Comment 345 jlmassir 2014-08-10 19:27:30 UTC
Why don't you fucking solve this fucking bug? Do you have any idea how this bug prevents anyone from using KDE?

Or are you too busy inventing new plasma architecture that will revolutionize the entire desktop?

Come on, my mom needs to use computers too and I cannot keep solving her problems PLEASE, PLEASE, PLEASE!

Solve this problem PLEASE!
Comment 346 Janet 2014-08-11 05:14:13 UTC
(In reply to jlmassir from comment #345)
Offending and insulting sure is the right way....
Comment 347 Eugeny Shkrigunov 2014-08-11 08:00:11 UTC
(In reply to Janet from comment #346)
> (In reply to jlmassir from comment #345)
> Offending and insulting sure is the right way....

You do not understand the problem for a simple user ("Oh, I have lost everything!") and a stupidity of the developers which did not return a working version of the code 2 year!
Comment 348 Larpon 2014-08-11 08:33:13 UTC
Created attachment 88215 [details]
attachment-6755-0.html

As both a user and a developer (although not on this project) I find these
kind of reactions completely unnecessary and embarrassing. Insulting
comments like jlmassir's is not constructive in any way for the community.

Yes it's an annoying bug and we all hope to see it fixed but you're not
exactly speeding up things or helping out by letting your frustration out
in this manner in a bug report thread.

People do this in their spare time for fun and for learning. They don't do
it to get verbally fucked over by some punks with short attention spans.

Dig into the code and look for the bug yourself - if it's such an important
feature to you or your mom then spend some time fighting the bug instead of
fighting the developers.

You could learn something cool in the process. If that doesn't suit you why
not build a replacement of your own? If you haven't got the time - well
find alternatives (like the file folder widget) or learn to live with it.
Insulting is not the way to go in an open source community - trust me on
that.
On 11 Aug 2014 10:00, "Eugeny Shkrigunov" <eshkrig@gmail.com> wrote:

> https://bugs.kde.org/show_bug.cgi?id=294795
>
> --- Comment #347 from Eugeny Shkrigunov <eshkrig@gmail.com> ---
> (In reply to Janet from comment #346)
> > (In reply to jlmassir from comment #345)
> > Offending and insulting sure is the right way....
>
> You do not understand the problem for a simple user ("Oh, I have lost
> everything!") and a stupidity of the developers which did not return a
> working
> version of the code 2 year!
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
>
Comment 349 Eugeny Shkrigunov 2014-08-11 09:25:42 UTC
(In reply to Larpon from comment #348)
> Created attachment 88215 [details]
> attachment-6755-0.html
> 
> As both a user and a developer (although not on this project) I find these
> kind of reactions completely unnecessary and embarrassing. Insulting
> comments like jlmassir's is not constructive in any way for the community.
> 
> Yes it's an annoying bug and we all hope to see it fixed but you're not
> exactly speeding up things or helping out by letting your frustration out
> in this manner in a bug report thread.
> 
> People do this in their spare time for fun and for learning. They don't do
> it to get verbally fucked over by some punks with short attention spans.
> 
> Dig into the code and look for the bug yourself - if it's such an important
> feature to you or your mom then spend some time fighting the bug instead of
> fighting the developers.
> 
> You could learn something cool in the process. If that doesn't suit you why
> not build a replacement of your own? If you haven't got the time - well
> find alternatives (like the file folder widget) or learn to live with it.
> Insulting is not the way to go in an open source community - trust me on
> that.
> On 11 Aug 2014 10:00, "Eugeny Shkrigunov" <eshkrig@gmail.com> wrote:

You are completely wrong.
English is not my native language and I find it difficult to express fully all that I think about klutz who broke working code, but I will try.
The fact that it is free software, does not give anyone the right to break something and throw the problem on someone else, as you are trying to do.
Any reasonable developer knows that if changes have led to an error, such changes need to be revised or return to the working version.
Loser who broke the working code and uses the slogans of free software, instead of fixing the error, should go sweep the streets - perhaps such efforts will bring more benefits.
Comment 350 Jan Zuchhold 2014-08-11 10:11:24 UTC
I care about getting this fixed, so I'm offering USD 100 via FreedomSponsors to the first person who fix it.

Offer link: https://freedomsponsors.org/issue/528/when-used-as-the-desktop-containment-folderview-displays-a-scrollbar-and-no-icons-even-if-there-are-items-in-the-displayed-folder-on-login

Note: A fix needs to be released in the 4.x branch of KDE and it needs to be fixed in the current version of plasma (not plasma 2).
Comment 352 Diego Viola 2014-08-15 01:46:55 UTC
Doesn't plasma2 solves this?

Is this issue present in plasma2?
Comment 353 Milan Knížek 2014-08-15 13:44:21 UTC
(In reply to Larpon from comment #348)
 
> You could learn something cool in the process. If that doesn't suit you why
> not build a replacement of your own? If you haven't got the time - well
> find alternatives (like the file folder widget) or learn to live with it.

thanks for the proposed file folder widget, I'll probably stick with that for now.

Unfortunately, it displays blabla.desktop files as they are - incl. the extension, while it should be hidden for an app launcher within desktop.
Comment 354 Janet 2014-08-15 19:44:30 UTC
(In reply to Milan Knížek from comment #353)

> Unfortunately, [the folder widget] displays blabla.desktop files as they are - incl. the
> extension, while it should be hidden for an app launcher within desktop.

That absolutely sounds like a new wishlist entry for an option to hide the ".desktop" extension in the folder widget :).
Comment 355 Milan Knížek 2014-08-16 06:55:47 UTC
(In reply to Janet from comment #354)
> (In reply to Milan Knížek from comment #353)
> 
> > Unfortunately, [the folder widget] displays blabla.desktop files as they are - incl. the
> > extension, while it should be hidden for an app launcher within desktop.
> 
> That absolutely sounds like a new wishlist entry for an option to hide the
> ".desktop" extension in the folder widget :).

I would rather prefer having this bug resolved instead of creating new feature request elsewhere and watching two open topics ;-)
Comment 356 Mark Harmstone 2014-08-26 22:10:48 UTC
I've looked into this, and it appears to be a memory corruption issue. I suspect it's a bug in GCC's optimization - Ignat, presumably that's why you've not been able to reproduce it, if you've been compiling as -O0 rather than -O2.
The problem is that the bottom() value of the return of availableScreenRect is being set to zero for some reason. If you debug availableScreenRect, gdb says that r is as it should be (e.g. {0,0,1919,1079}), but if you add "volatile QRect r2(r)" just before the return, it says r2 is {0,0,1919,0} - which is what is actually returned. I'm not sure why they'd differ.

The simplest solution is to check for this in FolderView::updateScreenRegion(), and if the bug has been triggered, use qdesktopwidget instead.
Comment 357 Mark Harmstone 2014-08-26 22:14:04 UTC
Created attachment 88446 [details]
patch

Patch for the workaround.
Comment 358 Dan MacDonald 2014-08-26 22:28:28 UTC
Created attachment 88447 [details]
attachment-18182-0.html

I've not tried compiling Marks patch myself yet but I'm sure there will be
some very grateful, impressed and bemused people on this list considering
he posted his patch within 3 minutes of him posting guidelines for a
potential fix.

I'll be happy just to see the end of this thread!

Thanks Mark!


On Tue, Aug 26, 2014 at 11:14 PM, Mark Harmstone <mark@harmstone.com> wrote:

> https://bugs.kde.org/show_bug.cgi?id=294795
>
> --- Comment #357 from Mark Harmstone <mark@harmstone.com> ---
> Created attachment 88446 [details]
>   --> https://bugs.kde.org/attachment.cgi?id=88446&action=edit
> patch
>
> Patch for the workaround.
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
>
Comment 359 Larpon 2014-08-26 22:33:10 UTC
Created attachment 88448 [details]
attachment-18715-0.html

Nice catch Mark - crossed fingers that the patch fixes it!
On 27 Aug 2014 00:28, "Dan MacDonald" <allcoms@gmail.com> wrote:

> https://bugs.kde.org/show_bug.cgi?id=294795
>
> --- Comment #358 from Dan MacDonald <allcoms@gmail.com> ---
> I've not tried compiling Marks patch myself yet but I'm sure there will be
> some very grateful, impressed and bemused people on this list considering
> he posted his patch within 3 minutes of him posting guidelines for a
> potential fix.
>
> I'll be happy just to see the end of this thread!
>
> Thanks Mark!
>
>
> On Tue, Aug 26, 2014 at 11:14 PM, Mark Harmstone <mark@harmstone.com>
> wrote:
>
> > https://bugs.kde.org/show_bug.cgi?id=294795
> >
> > --- Comment #357 from Mark Harmstone <mark@harmstone.com> ---
> > Created attachment 88446 [details]
> >   --> https://bugs.kde.org/attachment.cgi?id=88446&action=edit
> > patch
> >
> > Patch for the workaround.
> >
> > --
> > You are receiving this mail because:
> > You are on the CC list for the bug.
> >
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
>
Comment 360 kaankasim88 2014-08-26 23:48:55 UTC
I'm trying the patch right now, the bug is so random though.
Comment 361 Mark Harmstone 2014-08-27 00:13:14 UTC
Whatever causes this bug also appears to cause the desktop toolbox to move from the top of the screen to the right - some of you might have noticed that. If you have icons but the toolbox is on the right, that means that the workaround is working.
Comment 362 Jan Zuchhold 2014-08-27 07:37:35 UTC
I've recompiled the plasma-widget-folderview package on Ubuntu 14.04 with Marks patch applied. I can confirm this bug is fixed with his patch.
Comment 363 Pulfer 2014-08-27 15:30:41 UTC
(In reply to Mark Harmstone from comment #357)
> Created attachment 88446 [details]
> patch
> 
> Patch for the workaround.

Thanx, I added it to OpenMandriva and ROSA KDE 4.13.3 packages.
Comment 364 gustavo 2014-08-28 20:05:41 UTC
Instructions for testing on 12.04 LTS, after Mark's patch:

** Build machine **
apt-get source kde-baseapps
apt-get build-dep kde-baseapps
cd kde-baseapps-4.8.5
wget https://bugsfiles.kde.org/attachment.cgi?id=88446 -O 294795.patch
patch -p1 < 294795.patch
dpkg-buildpackage -rfakeroot -uc -b
cd ..
ls plasma-widget-folderview_4.8.5-0ubuntu0.1_i386.deb

** Production machine **
dpkg -i plasma-widget-folderview_4.8.5-0ubuntu0.1_i386.deb
Comment 365 Diego Viola 2014-09-04 03:31:21 UTC
Will Mark's patch get merged with the latest code eventually? I.e. will it be available for the next KDE 4.14.x release?
Comment 366 Rex Dieter 2014-09-04 13:54:11 UTC
Ideally, patches should be posted through reviewboard.kde.org for review/comment.  For more on that, see https://techbase.kde.org/Development/Review_Board

Mark, would you be able/interested in doing that please?
Comment 367 Mark Harmstone 2014-09-04 15:40:53 UTC
Thanks Rex, just have done: https://git.reviewboard.kde.org/r/120057/
Comment 368 Larpon 2014-09-05 05:44:59 UTC
Created attachment 88570 [details]
attachment-11128-0.html

You guys rule
On 4 Sep 2014 17:41, "Mark Harmstone" <mark@harmstone.com> wrote:

> https://bugs.kde.org/show_bug.cgi?id=294795
>
> --- Comment #367 from Mark Harmstone <mark@harmstone.com> ---
> Thanks Rex, just have done: https://git.reviewboard.kde.org/r/120057/
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
>
Comment 369 Diego Viola 2014-09-25 08:40:15 UTC
Any ideas about the status of this bug? Has the patch been merged upstream?
Comment 370 Diego Viola 2014-09-25 10:33:21 UTC
I can't reproduce this issue anymore, I'm using KDE 4.14.0 and I'm on Arch Linux (x86_64).

Has the patch been merged?

Thanks you. :)
Comment 371 Rex Dieter 2014-09-25 11:44:56 UTC
Nothing has been merged yet.  When/if that happens, this bug will get notice and be closed.

That said, the proposed reviewboard patch has been given the OK to be committed, it's just no one has done it yet.  I'll see about helping make that happen today.
Comment 372 Rex Dieter 2014-09-25 14:28:55 UTC
Git commit 9f2a0643e5265223185ee3e06bb793b1b07d6045 by Rex Dieter.
Committed on 25/09/2014 at 11:51.
Pushed by rdieter into branch 'KDE/4.14'.

Fix scrollbar appearing on FolderView
FIXED-IN: 4.14.2
REVIEW: 120057

Workaround for some kind of memory corruption error which can lead to
availRect.bottom() being set to 0 after availableScreenRect returns.
If this happens, use qdesktopwidget instead.

M  +7    -0    plasma/applets/folderview/folderview.cpp

http://commits.kde.org/kde-baseapps/9f2a0643e5265223185ee3e06bb793b1b07d6045
Comment 373 Aleksandru 2014-09-25 18:21:01 UTC
The bug does not manifest itself if you only use one desktop.
Comment 374 Mahendra Tallur 2014-10-15 21:55:30 UTC
Thanks ever so much for fixing this :-) Many of us must be relieved !
Comment 375 dr.boczek 2014-11-14 19:59:00 UTC
i have the same problem... icons are gone and slider in right-side od desktop.

Qt: 4.8.6
KDE: 4.14.1
kernel 3.12.30-1-MANJARO
Comment 376 dr.boczek 2014-11-15 11:16:40 UTC
ok, when i restarted the system then i have slider without icons
but when i only logout and  login then i have only icons and all right.
maybe this is problem with session?
Comment 377 dr.boczek 2014-11-15 11:18:40 UTC
Created attachment 89594 [details]
with slider

when i restart system
Comment 378 dr.boczek 2014-11-15 11:20:39 UTC
Created attachment 89595 [details]
with icons - relogin only

when i logout from kde session and login again
Comment 379 Mark Harmstone 2014-11-15 12:00:29 UTC
This was fixed in KDE 4.14.2. You are using 4.14.1. Please read the bug header before commenting.
Comment 380 Ettore Atalan 2014-11-21 13:01:20 UTC
Created attachment 89665 [details]
Screenshot

I'm using 4.14.2 and still get this problem.

Okay, the icons at the top of the screen are displayed, but also a slider instead of the remaining icons below.
Comment 381 jeremy9856 2015-06-09 10:22:05 UTC
I have the same problem as Ettore Atalan on version 4.14.2 (Netrunner 14.1 with kubuntu ppa).
It happend on 2 laptops with intel igpu but don't on my desktop with nvidia gpu.
Comment 382 jeremy9856 2015-08-02 21:55:10 UTC
Seems to happen only in icon in line layout.
Hope that will work correctly (in column, line, etc...) on plasma 5.
Comment 383 jlmassir 2015-09-09 19:07:36 UTC
Still the same problem in kde  4.14.2. How can in hell a scroll bar appear on the desktop? Still kde is completely useless because of a single bug.
Comment 384 useretail 2017-03-05 22:50:46 UTC
Debian 3.16.39-1+deb8u1 (2017-02-22)
KDE 4.14.2
Bug is still present
Comment 385 kbd 2018-06-21 02:12:42 UTC
This bug still exists on Kubuntu 18.04 
https://imgur.com/a/F1u6ruQ
Recent install with no desktop tweaks. Computer had been booted up for about two hours without the weird scrollbar on the right. I then closed Firefox when I noticed it on the right side of the desktop. Nothing strange about my hardware: Lenovo Thinkpad X220 64bit running Kubuntu 18.04
Comment 386 Andrew Crouthamel 2018-09-04 19:14:51 UTC
Hello! Plasma 4 was replaced by Plasma 5 four years ago by the KDE community. In that time we have made great strides in stability and functionality. We are closing all Plasma 4 bugs as most of them are no longer applicable to the new frameworks Plasma 5 is built upon. If you could, please re-test with the latest version of Plasma 5, and submit a new bug to "plasmashell" if you continue to have an issue. Thank you!
Comment 387 Abhishek Balam 2018-11-08 15:58:01 UTC
OS: Arch

Bug still present. After latest update, the desktop scrolls in Folder View only.

Plasma Version: 5.14.3

Screenshot: https://imgur.com/RRcvelA
Comment 388 Abhishek Balam 2018-11-08 15:58:23 UTC
OS: Arch

Bug still present. After latest update, the desktop scrolls in Folder View only.

Plasma Version: 5.14.3

Screenshot: https://imgur.com/RRcvelA
Comment 389 Christoph Feck 2018-11-21 21:15:34 UTC
Plasma from KDE4 is unmaintained. If you have the issue with Plasma 5, please create a new ticket for product 'plasmashell'.